//
// JTypist v3.0 - Java typing tutor program for UNIX systems
// Copyright (C) 1998  Simon Baldwin (simonb@sco.com)
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//
//
// HelpText class - contains the online documentation
//

public class HelpText {

	// the help text itself, in pidgeon-HTML - this text is used
	// for both the online help window and to make the HTML doc
	// file for the package
	public static final String data[] = {

"Using Online Help\n"
+ "You can use the <B>Help Window</B> to display online help while running\n"
+ "<I>Typist</I>.  At the top of the window you can select from the topics that\n"
+ "the help window offers.  Selecting a topic brings the help information\n"
+ "for that area into the window's text display.\n"
+ "<P>\n"
+ "Select <I>File-&gt;Close Window</I> on the menu bar for this window to close\n"
+ "it.\n"
+ "<P>\n"
+ "The file <I>Typist30.html</I> contains an HTML version of the online help\n"
+ "text.\n",

"Using The Control Window\n"
+ "This is the main window for <I>Typist</I>.  The menu bar allows you to\n"
+ "activate the other windows that <I>Typist</I> can display - the <B>Tutorial\n"
+ "Window</B>, the <B>Exercise Window</B>, the <B>Statistics Window</B>, and the online\n"
+ "<B>Help Window</B>.  Additionally, it also offers a <I>Help</I> pulldown item:\n"
+ "Use <I>Help-&gt;About</I> to get information about <I>Typist</I> and its licensing,\n"
+ "and <I>Help-&gt;On Typist</I> to obtain the online <B>Help Window</B>.\n"
+ "<P>\n"
+ "<I>Typist</I> offers a number of alternative and complementary lesson series.\n"
+ "The <B>Control Window</B> allows you to select which lesson series is\n"
+ "currently active, and within a lesson series allows you to select a\n"
+ "particular lesson.\n"
+ "<P>\n"
+ "Beneath the window's menu bar is a toolbar.  Using the toolbar, you can\n"
+ "select the lesson series that is active, and move forwards and backwards\n"
+ "through the lessons in that series using the <I>&lt;Prev</I> and <I>Next&gt;</I>\n"
+ "buttons.\n"
+ "<P>\n"
+ "The final area of the <B>Control Window</B> is the lessons list.  This shows\n"
+ "each lesson that the currently active series contains.  To run any lesson\n"
+ "individually, select it from this list.  Lessons can be of three basic\n"
+ "types:\n"
+ "<P>\n"
+ "    <UL><LI><I>Tutorials</I></LI>\n"
+ "    <LI><I>Drills</I></LI>\n"
+ "    <LI><I>Speed Tests</I></LI></UL>\n"
+ "<P>\n"
+ "<I>Tutorials</I> are displayed in the <B>Tutorial Window</B>.  <I>Drills</I> and <I>Speed Tests</I>\n"
+ "are displayed in the <B>Exercise Window</B>.\n",
 
"The Tutorial Window\n"
+ "This window shows the text of the most recently selected <I>Tutorial</I>.\n"
+ "Use the scroll bars to read the text.  The window may be left up as a\n"
+ "reminder of the lesson if you wish.\n",

"The Exercise Window\n"
+ "This is the window that you type into for practice, and displays both\n"
+ "<I>Drills</I> and <I>Speed Tests.</I>\n"
+ "<P>\n"
+ "When a <I>Drill</I> is being shown, the window contains two text areas.  The\n"
+ "upper one shows the target text that should be typed, highlighting the\n"
+ "next character expected.  The lower text area shows what you have\n"
+ "typed at the keyboard so far, with error characters picked out as\n"
+ "'*'s.  In a <I>Drill</I>, backspace characters will not delete the last typed\n"
+ "character.\n"
+ "<P>\n"
+ "For a <I>Speed Test</I>, only one text area is shown.  Again, the expected next\n"
+ "character is highlighted.  In a <I>Speed Test</I>, you are required to overtype\n"
+ "the characters in this text area.  If you enter an incorrect character,\n"
+ "<I>Typist</I> puts a '*' at the location of the error.  You can use backspace\n"
+ "to back up and correct mistypings in <I>Speed Tests</I>.\n"
+ "<P>\n"
+ "For both of these types of exercise, <I>Typist</I> times each keystroke, and\n"
+ "at the end of the exercise, it displays information about how many\n"
+ "errors you made in typing the exercise, and also your typing speed and\n"
+ "adjusted speed in Words Per Minute (WPM).  The initial typing speed is\n"
+ "calculated as the number of keystrokes made divided by five (the\n"
+ "notional average word is taken as being five characters), divided by\n"
+ "the time in minutes taken to complete the exercise.  The adjusted WPM\n"
+ "is the initial speed in WPM, less one WPM for every typing error you\n"
+ "made.\n"
+ "<P>\n"
+ "When timing keystrokes, <I>Typist</I> does not count the first character\n"
+ "of an exercise.  Also, if you pause for a few seconds between characters\n"
+ "it won't count the next character after the pause as part of the exercise.\n"
+ "It does this to try to maintain sensible keystroke timing information in\n"
+ "cases where you might take breaks in mid-exercise.\n"
+ "<P>\n"
+ "To restart an exercise from the beginning, use <I>File-&gt;Restart Lesson</I>\n"
+ "on the menu bar.\n",

"The Statistics Window\n"
+ "Each time you strike a key in an exercise, <I>Typist</I> notes the key\n"
+ "that you struck, the one it was expecting you to strike, and the time\n"
+ "it took you between the last key you struck and this one.\n"
+ "<P>\n"
+ "The <B>Statistics Window</B> displays a complete analysis of all of\n"
+ "this timing information collected on exercises.  Keystroke statistics are\n"
+ "integrated by finger, and also displayed by individual key.  You can\n"
+ "use the <I>View</I> pulldown menu to decide which set of statistics you\n"
+ "want to see in the window.\n"
+ "<P>\n"
+ "Each statistic is shown as a pair of gauges, giving the percent accuracy\n"
+ "and speed for the finger or key.  If the accuracy or speed drop below\n"
+ "certain threshold levels, the gauges will change color to orange or red,\n"
+ "to indicate that these are areas in which you might consider some additional\n"
+ "practice.\n"
+ "<P>\n"
+ "Press the <I>Refresh</I> button to bring the window up to date with current\n"
+ "keystroke statistics.  The window is automatically refreshed if you change\n"
+ "which set of statistics is on view, when the window is displayed, and at\n"
+ "the end of each typing exercise you complete.\n"
+ "<P>\n"
+ "You can use the <I>File-&gt;Reset All</I> pulldown menu item to set the\n"
+ "complete collection of measurements back to their initial condition.\n"
+ "<P>\n"
+ "The statistics shown by this window are the normal keystroke statistics,\n"
+ "broken down by key and by finger.  The adjusted WPM rate can therefore\n"
+ "sometimes appear harsh - over a long period of typing at 40WPM, 20 errors\n"
+ "on one finger will halve the adjusted WPM.  Use these figures with care.\n"
+ "Also, note that the WPM rates are calculated on timing information that\n"
+ "is regardless of whether you struck the right key or the wrong one - this\n"
+ "means that where accuracy is poor, the WPM rates shown for individual keys\n"
+ "and fingers become misleading.",

"Building The Program\n"
+ "<I>Typist</I> (Java version) consists of a flat directory of Java source\n"
+ "files, and a single <I>Makefile</I>.  If you have <I>make</I> on your\n"
+ "system, then merely invoking the command should be sufficient to build\n"
+ "the complete set of class files - the <I>Makefile</I> does not contain\n"
+ "any complicated or GNU-make dependent constructs.\n"
+ "<P>\n"
+ "If you do not have <I>make</I> available, try '<I>javac [-O] *.java</I>'.\n"
+ "The Java compiler is usually smart enough to automatically compile any\n"
+ "source files for a needed class file, so building should not be too\n"
+ "much of a problem.\n"
+ "<P>\n"
+ "Most classes contain a main() method that tests the class in some way, the\n"
+ "obvious exception being the Typist class that contains the 'real' main()\n"
+ "method, and also the applet entry point for the program.  The main()\n"
+ "method in the HelpHTML class prints out the online help text as a single\n"
+ "HTML User Guide document.\n",

"Running The Program\n"
+ "The single main runnable class file in <I>Typist</I> is:\n"
+ "<P>\n"
+ "<UL><LI>Typist.class</LI></UL>\n"
+ "<P>\n"
+ "To run <I>Typist</I> as an application; use a command something like '<I>java\n"
+ "Typist</I>' to run the <I>Typist</I> class.  You can add <I>-k keyboard_type</I>\n"
+ "to specify the keyboard type.  Use <I>-h</I> for a full list of arguments.\n"
+ "<P>\n"
+ "To run <I>Typist</I> as an applet, again use the <I>Typist</I> class.\n"
+ "For an applet, the keyboard type can be specified using the applet\n"
+ "parameter <I>kbtype</I> - see <I>TypistApplet.html</I> for an example of\n"
+ "HTML applet tags to activate the program.  Because the program makes heavy\n"
+ "use of frames and menu bars, the applet form is nothing more than a single\n"
+ "pushbutton that starts the main program in a separate frame outside the\n"
+ "browser.  Use the <I>buttonlabel</I> applet parameter to control the label\n"
+ "on this pushbutton.\n"
+ "<P>\n"
+ "One other point about applets; they cannot use dialogs very well, so for\n"
+ "applets the popup dialogs are actually implemented within their own\n"
+ "frames.  Among other things, this means that they don't disappear when\n"
+ "their 'parent' window is iconised, unlike true dialogs.\n",


"General Information\n"
+ "This program is a Java reworking of a UNIX C++ reworking of a UNIX\n"
+ "C/Curses reworking of an IBM PC reworking of an original DECUS VAX BASIC\n"
+ "program.  This Java version, <I>Typist v3.0</I> was created by Simon Baldwin,\n"
+ "<A HREF=MAILTO:simonb@sco.com>simonb@sco.com</A>, and will probably be my last word on the subject,\n"
+ "since I now feel I have truly worked this one to death.\n"
+ "<P>\n"
+ "Thanks to the original authors, whoever they were, to D. Jason Penney for\n"
+ "the initial conversion into C/Curses, and to George Ferguson for posting\n"
+ "it to the Internet.\n",

"GNU GPL\n"
+ "<I>Typist v3.0 (Java), Copyright (C) 1998  Simon Baldwin</I>\n"
+ "<P>\n"
+ "This program comes with <B>ABSOLUTELY NO WARRANTY</B>; for details\n"
+ "please see the file 'COPYING' supplied with the source code.\n"
+ "This is free software, and you are welcome to redistribute it\n"
+ "under certain conditions; again, see 'COPYING' for details.\n"
+ "This program is released under the GNU General Public License.\n",

	};

}
