//
// JTypist v3.0 - Java typing tutor program for UNIX systems
// Copyright (C) 1998  Simon Baldwin (simonb@sco.com)
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//
//
// KBLayout class - instantiatable version of underlying KBLayout* classes
//

public class KBLayout implements KBLayoutable {

	// description and keymap table this layout is instantiated to
	public String kb_id = null;
	public KeyData keymap_table[] = null;


	// constructor to simply point the class attributes to
	// one of the static strings that implement the real
	// layouts
	public KBLayout( String kb_id ) {

		// search the known keyboard types for this one
		if ( kb_id.equals( KBLayoutUS.kb_id )) {
			this.kb_id = KBLayoutUS.kb_id;
			this.keymap_table = KBLayoutUS.keymap_table;
		}
		else if ( kb_id.equals( KBLayoutUK.kb_id )) {
			this.kb_id = KBLayoutUK.kb_id;
			this.keymap_table = KBLayoutUK.keymap_table;
		}
		else if ( kb_id.equals( KBLayoutDvorak.kb_id )) {
			this.kb_id = KBLayoutDvorak.kb_id;
			this.keymap_table = KBLayoutDvorak.keymap_table;
		}
	}


	// printout method
	public String toString() {
		String ret_string = "KBLayout{"
				+ "kb_id=\"" + kb_id
				+ "\",keymap_table@" ;
		for ( int index = 0; index < keymap_table.length; index++ ) {
			ret_string += "[" + index + "]"
					+ keymap_table[ index ];
		}
		return ( ret_string + "}" );
	}


	// test code
	public static void main( String args[] ) {
		System.out.println( "*** CLASS TEST CODE ***" );

		System.out.println( "US : " + new KBLayout( "US" ));
		System.out.println( "UK : " + new KBLayout( "UK" ));
		System.out.println( "Dvorak : " + new KBLayout( "Dvorak" ));
	}
}
