//
// JTypist v3.0 - Java typing tutor program for UNIX systems
// Copyright (C) 1998  Simon Baldwin (simonb@sco.com)
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//
//
// KeyData class - defines the data we hold about a key glyph
//

public class KeyData {

	// for a 'key' we hold the char on the key, details
	// about the finger responsible for striking the key, and
	// some notion about what group of keys that key is in; here
	// 'key' is a flexible concept - in fact it is a character
	// that may be entered, and each key typically does two:
	// unshifted, and shifted.  Strictly these details should
	// probably be private, with get_* access methods, but we'll
	// leave them public for best performance
	public char character;
	public int finger;
	public int char_group;


	// constructor for use in building tables
	public KeyData( char character, int finger, int char_group ) {

		// save the key details
		this.character = character;
		this.finger = finger;
		this.char_group = char_group;
	}


	// printout method
	public String toString() {
		return ( "KeyData{character='" + character
				+ "',finger=" + finger
				+ ",char_group=" + char_group + "}" );
	}


	// test code
	public static void main ( String args[] ) {
		System.out.println( "*** CLASS TEST CODE ***" );

		System.out.println( new KeyData( 'a', KBLayoutable.LH_PINKY,
				KBLayoutable.UNSHIFTED_ALPHA ));
		System.out.println( new KeyData( 'Y', KBLayoutable.RH_INDEX,
				KBLayoutable.SHIFTED_ALPHA ));
		System.out.println( new KeyData( ' ', KBLayoutable.RH_THUMB,
				KBLayoutable.BASIC ));
	}
}
