//
// JTypist v3.0 - Java typing tutor program for UNIX systems
// Copyright (C) 1998  Simon Baldwin (simonb@sco.com)
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//
//
// Lesson class - defines the contents of a lesson, and types for
// that lesson
//

public class Lesson {

	// information held about an individual lesson
	public int type;			// lesson type, one of:
	public static final int TUTORIAL	= 0;
	public static final int DRILL		= 1;
	public static final int PARAGRAPH	= 2;
	public String title;			// lesson title string
	public String descr;			// lesson description
	public String data;			// text the lesson delivers


	// lesson constructor
	public Lesson( int type, String title,
			String descr, String data ) {

		// save the lesson details
		this.type = type;
		this.title = title;
		this.descr = descr;
		this.data = data;
	}


	// printout method
	public String toString() {
		return ( "Lesson{type=" + type
				+ ",title=\"" + title + "\",descr=\"" + descr
				+ "\",data=\"" + data + "\"}" );
	}


	// test code
	public static void main( String args[] ) {
		System.out.println( "*** CLASS TEST CODE ***" );

		System.out.println( new Lesson(
			Lesson.TUTORIAL, "ttitle", "tdescr", "tdata" ));
		System.out.println( new Lesson(
			Lesson.DRILL, "dtitle", "ddescr", "ddata" ));
		System.out.println( new Lesson(
			Lesson.PARAGRAPH, "ptitle", "pdescr", "pdata" ));
		System.out.println( new Lesson(
			-999999, "utitle", "udescr", "udata" ));
	}
}
