//
// JTypist v3.0 - Java typing tutor program for UNIX systems
// Copyright (C) 1998  Simon Baldwin (simonb@sco.com)
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//
//
// LessonSeriesM class - holds the M series of lessons
//

public final class LessonSeriesM {
	public static final String series = "Series M";
	public static final String descr = "Typing drills (M1 - M11)";
	public static final Lesson lessons[] = {
new Lesson( Lesson.DRILL, "Lesson M1.1: Drill",
"(1) Warming-Up Drill",
  "If you can do so, will you kindly let us know by return mail.\n"
),

new Lesson( Lesson.DRILL, "Lesson M1.2: Drill",
"(2) Continuous Copy",
  "My totals were:  $2,309, $5,687, $3,498, $2,408, and $3,697.\n"
),

new Lesson( Lesson.DRILL, "Lesson M1.3: Drill",
"(3)",
  "A student may type 1 word per minute faster for each added\n"
+ "year of age: i.e., 13 to 14, to 15, to 16, to 17, to 18.\n"
),

new Lesson( Lesson.DRILL, "Lesson M1.4: Drill",
"(4)",
  "Often 25% of first-year students never do 25 words a minute.\n"
+ "Many second-year students can type about 45 words a minute.\n"
+ "More than 50% do not equal the practical rate of 50 words.\n"
),

new Lesson( Lesson.DRILL, "Lesson M1.5: Drill",
"(5)",
  "Why do we all thrill over sports?  Maybe it is the tireless\n"
+ "skill of the winner that we feel.  Ask the players.  They\n"
+ "may agree (Rice,* famous as a sports writer, said the cham-\n"
+ "pions all agreed) that skill is only part (50%) of it.\n"
),

new Lesson( Lesson.DRILL, "Lesson M1.6: Drill",
"(6)",
  "\"When you step on the first tee,\" says the four-time gold\n"
+ "champion, Bobby Jones, \"you know you can't afford to make\n"
+ "one careless slip.\"  A tired Bobby Jones (this was the way\n"
+ "Bobby told it to Rice) has stood on the 16th tee, leading\n"
+ "Smith by 18 strokes.\n"
),

new Lesson( Lesson.DRILL, "Lesson M1.7: Drill",
"(7)",
  "\"Up to this point,\" says Bobby, \"I had played 33 holes in 11\n"
+ "under par.  I believe it was the best golf I ever played in\n"
+ "my life.  But after easing up on the mental side I played\n"
+ "the last three holes in 5 over par.\"\n"
),

new Lesson( Lesson.DRILL, "Lesson M1.8: Drill",
"(8)",
  "In 1919 Babe Ruth shot into the records with 29 home runs.\n"
+ "Yet few know that the Babe worked five years in big games\n"
+ "before this start that led past Home Run #600.  You may\n"
+ "have cheered Jimmy Foxx and many another.  Yet you can still\n"
+ "picture the Babe after two strikes, smashing to the very\n"
+ "spot he had \"called\" a famous home run.\n"
),

new Lesson( Lesson.DRILL, "Lesson M1.9: Drill",
"(9)",
  "It is the effort against odds that thrills.  We feel these\n"
+ "drives that never let down.  We feel (this was the way Rice\n"
+ "put it) the champion forces himself into the winning frame of\n"
+ "mind.  Can the fast typist afford to do less?  A typist has\n"
+ "to face such days of \"mental torture\" too.  Some days he has\n"
+ "to force himself along.  He need not punish his machine.  He\n"
+ "must pull himself together (100%) to type his steady, smooth\n"
+ "way over all upsets.\n"
),

new Lesson( Lesson.PARAGRAPH, "Lesson M1.10: Speed Test",
"(9A) Pointed Paragraph (m b)",
  "     Men are bound to believe that business is bad in winter\n"
+ "months.  Maybe Mr. Smith remembers that most building became\n"
+ "better in September but both November and December seemed to\n"
+ "be much behind.  Monday morning my mail box became blocked\n"
+ "by urgen requests of many families that small-sized homes\n"
+ "be built.  Some jobs may begin to come now from the Chamber\n"
+ "of Commerce members.\n"
),

new Lesson( Lesson.DRILL, "Lesson M1.11: Drill",
"(10) Rhythmic Review",
  "I said, \"Never promise to take much money to such places.\"\n"
),

new Lesson( Lesson.DRILL, "Lesson M2.1: Drill",
"(1) Warming-Up Drill",
  "How do I lose if I read a book that doesn't have much in it?\n"
),

new Lesson( Lesson.DRILL, "Lesson M2.2: Drill",
"(2) Balanced Keyboard Drill",
  "non ana dis dia cle pan ard pur ern eer off age suf ame amb\n"
+ "ess ean ist ian cel apo col ary tra neo sur ity sub ele mis\n"
),

new Lesson( Lesson.PARAGRAPH, "Lesson M2.3: Speed Test",
"(3) Four-letter words (a to d)",
  "Dear Dan,\n"
+ "\n"
+ "     Yes, I came out of the corn, back to the city, both to\n"
+ "draw and to do copy on the new cars.  To date I am able to\n"
+ "put cash in the bank and bear a bill or two.  The new deed\n"
+ "has done it.\n"
+ "\n"
+ "     The city has been busy but cold for two days.  Dear baby\n"
+ "has been to see her best aunt.  A band came by the door.\n"
+ "Baby let the bird cage drop down with a blow.  The bird died.\n"
+ "Boys put its dead body deep in a dark card case.  Baby also\n"
+ "has a ball and blue book to drop.  I put the boat away.  Its\n"
+ "deck did burn, but I care not as it does not cost a cent.\n"
+ "\n"
+ "     Come, call on me at the club.\n"
+ "\n"
+ "Yours sincerely,\n"
),

new Lesson( Lesson.PARAGRAPH, "Lesson M2.4: Speed Test",
"(4) Four-letter words (e to g)",
  "Dear Bea,\n"
+ "\n"
+ "     I am glad you feel so for the farm in the East.  Even\n"
+ "as a girl of four or five I was ever so glad to find the\n"
+ "farm.  In my eyes it was all as good as gold.  Even my feet\n"
+ "felt good.  A girl can gain and grow fast on farm food and\n"
+ "the fine free air.  Why else did face and form grow full\n"
+ "and fair so fast?\n"
+ "\n"
+ "     On each foot of my farm I felt free from fear.  It\n"
+ "gave me my fill of fun.  I felt no fear of any fire in the\n"
+ "fall.  Now the fire is a fact and my farm is gone.  Give me\n"
+ "my full life, etc.  The game goes on.\n"
+ "\n"
+ "Yours sincerely,\n"
),

new Lesson( Lesson.PARAGRAPH, "Lesson M2.5: Speed Test",
"(5) Four-letter words (h to l)",
  "Dear Hal,\n"
+ "\n"
+ "     Just a line to say I am lost if I cannot fly.  I\n"
+ "have to keep on here.  I knew it was but a hope last May.\n"
+ "It was just my last idea in June.  Yet I held my head high\n"
+ "and did not lose hope.\n"
+ "\n"
+ "     Why not fly up in the air a half hour or less and\n"
+ "look at my lake and our home on the hill?  I left it late\n"
+ "last July with one item on my list.  Bill gave me half an\n"
+ "hour of help.  Like the lady of the lake I met the king.\n"
+ "Bill was a kind king, too.\n"
+ "\n"
+ "     To lead off into the air and see all our lake so\n"
+ "long and lots of land so low, was to live a high hour.  I\n"
+ "kept my hand at my ear so as to help hear.  In the air my\n"
+ "hair was a loss.  It did not kill me.  I have to fly to know\n"
+ "life can be less hard.  I like to hold on and help Bill.  I\n"
+ "love to fly.\n"
+ "\n"
+ "Yours sincerely,\n"
),

new Lesson( Lesson.DRILL, "Lesson M3.1: Drill",
"(1) Warming-Up Drill",
  "He says he hasn't been very blue once in his two weeks here.\n"
),

new Lesson( Lesson.DRILL, "Lesson M3.2: Drill",
"(2) Balanced Keyboard Drill",
  "sus ase sis uni suc epi cor ory tri acy fic ify dom isk ism\n"
+ "ante than ance ling para less plea lent leas post rece cata\n"
),

new Lesson( Lesson.PARAGRAPH, "Lesson M3.3: Speed Test",
"(3) Four-letter words (m to p)",
  "Dear \"Pie,\"\n"
+ "\n"
+ "     I open most of my mail and meet the news.  I note that\n"
+ "you say Mrs. Page is a mere name but you met the Miss Page.\n"
+ "\n"
+ "     You must need the car.  Once the pass is open I can move\n"
+ "the car over to you.  Do you mind if I make it part of a nice\n"
+ "plan to meet Miss Page, too?  Mrs. Page was only a mile past\n"
+ "us.  Her son was my age and I made the mile at noon to play a\n"
+ "bit.  She paid us for milk.  She did not mean much to me, but\n"
+ "her son did.\n"
+ "\n"
+ "     Next we had more fun up the pass near the poor old No.\n"
+ "Nine mine.  I can mark many a mile we once ran.  I must mail\n"
+ "this note or I may miss the post.\n"
+ "\n"
+ "Yours sincerely,\n"
),

new Lesson( Lesson.PARAGRAPH, "Lesson M3.4: Speed Test",
"(4) Four-letter words (r to s)",
  "Dear Ross,\n"
+ "\n"
+ "     It is a real rain.  The road is so soft my car can but\n"
+ "roll, stop, and roll on.  Are you on the ship?  If I get as\n"
+ "far as the ship, can we sail in such a rain?  If we try to\n"
+ "sail, the ship is sure to rock or ride on one side.  If I get\n"
+ "sick, it is up to you to stay by and show us how to save the\n"
+ "ship.  Ann has some sort of song to sing in the rain.  She\n"
+ "said she sent it to you.\n"
+ "\n"
+ "     Did you read of our sale?  We set out a big sign.  Now\n"
+ "any sort of suit and any size seem to sell.  We are not rich\n"
+ "but we can soon step out or be sold out, if any such rate is\n"
+ "to rule.\n"
+ "\n"
+ "     Ann has not seen the ship as yet.  Rain or no rain, Ann\n"
+ "says to send her out.  All the rest of us say the same.  Can\n"
+ "you ring me in my room at the shop?\n"
+ "\n"
+ "Yours sincerely,\n"
),

new Lesson( Lesson.PARAGRAPH, "Lesson M3.5: Speed Test",
"(5) Pointed Paragraph (i u)",
  "     The public is quite unfair about airing quibbles over\n"
+ "house furniture and fruit juices for the university crew.\n"
+ "The alumni inquiry into the failure of equipment figures in\n"
+ "the issue.  The alumni attitude is useful but continues to\n"
+ "put a premium on a victorious crew.  Only genius can guide\n"
+ "this outfit uphill and build a suitable crew that won't quit.\n"
),

new Lesson( Lesson.PARAGRAPH, "Lesson M3.6: Speed Test",
"(6) Pointed Paragraph (d s -)",
  "     Students should be assisted in studying seated at their\n"
+ "desks; cross-questioned as to their needs and desires; ad-\n"
+ "vised to use up-to-date leads based on studies of standards.\n"
+ "By-products of student days, well-bred friends, kindness,\n"
+ "self-help, with good grades and degrees, are listed as far-\n"
+ "sighted aids.  In Dad's old-fashioned address to his co-\n"
+ "workers, he said sadly that ideas are missed less than first-\n"
+ "class friends and good-natured wishers.\n"
),

new Lesson( Lesson.DRILL, "Lesson M4.1: Drill",
"(1) Warming-Up Drill",
  "Get any piece, since I can't guess the color he always used.\n"
),

new Lesson( Lesson.DRILL, "Lesson M4.2: Drill",
"(2) Balanced Keyboard Drill",
  "anti thin atic fast hypo ness your ther fore ship cial ible\n"
+ "ette hter here mber ough over eive with ived just ever mono\n"
),

new Lesson( Lesson.PARAGRAPH, "Lesson M4.3: Speed Test",
"(3) Four-letter words (t to z)",
  "Dear Tris,\n"
+ "\n"
+ "     It is so very warm at this time of year, I told my wife\n"
+ "that you and I wish to go west for a week or two.  Did I\n"
+ "tell you what a wind we had?  I went to town to vote for the\n"
+ "one man whom I want.  I took a well-used tire.  When it went\n"
+ "down on a bad turn, in the woods, I had to walk.  Then the\n"
+ "wind more than set in, and I had to wait by a wall.  It got\n"
+ "our old tree.\n"
+ "\n"
+ "     I saw two men and set them to work on the car, till\n"
+ "they told me it was no use.  If I were to turn it in, is it\n"
+ "true that you can take your car?  I want a wide view and I\n"
+ "want to talk with you.  Thus I wait upon your word.  Wire\n"
+ "yes if you will take this trip.\n"
+ "\n"
+ "Yours sincerely,\n"
),

new Lesson( Lesson.PARAGRAPH, "Lesson M4.4: Speed Test",
"(4) Five-letter words (a to c)",
  "Dear \"Cab,\"\n"
+ "\n"
+ "     Could you apply to the court to allow my claim as agent\n"
+ "for Mr. Blank?  I could bring in his books and see about his\n"
+ "bills.  If asked, he can cover the costs by checks on a bank\n"
+ "that did not break.\n"
+ "\n"
+ "     Will you allow your child to come alone to see me?  He\n"
+ "can have every apple he can carry.  By the way, being clean\n"
+ "and above board, you must be above bad cases, but you began\n"
+ "to bring in off-color cases after April.\n"
+ "\n"
+ "     I agree you do not cross the law, but why let men win\n"
+ "in a black cause on any basis?  Why not build up your cases\n"
+ "from among men of our own class?  Close the awful cases you\n"
+ "now carry along to court, and begin again.\n"
+ "\n"
+ "Sincerely yours,\n"
),

new Lesson( Lesson.PARAGRAPH, "Lesson M4.5: Speed Test",
"(5) Pointed Paragraph (r t)",
  "     In our motor party on the return trip an attractive\n"
+ "quartet first tried to tell thirty or forty short travel\n"
+ "stories.  By turns they transferred to the theater, to art\n"
+ "matters, to court trial stories.  In the latter a certain\n"
+ "doctor is hurt by a first truck, another truck is struck,\n"
+ "and three contractors are thrown to the street.  The girl's\n"
+ "strong brother has been hurt.  Further, there are arrests\n"
+ "and the sort of extra details that enter into true stories.\n"
),

new Lesson( Lesson.DRILL, "Lesson M5.1: Drill",
"(1) Warming-Up Drill",
  "Some women who could write her won't raise a hand to help.\n"
),

new Lesson( Lesson.DRILL, "Lesson M5.2: Drill",
"(2) Balanced Keyboard Drill",
  "teen arch acle ward ence ency ease ster tele trix wise some\n"
+ "atte tter tion fold ount ancy auto ttle cule mony cion come\n"
),

new Lesson( Lesson.PARAGRAPH, "Lesson M5.3: Speed Test",
"(3) Five-letter words (d to h)",
  "Dear Fred,\n"
+ "\n"
+ "     I have dared to ask you for an extra favor on the first.\n"
+ "If you are not dated, I am to draft you to drive me by horse\n"
+ "or car up the grade to the field house at eight.  I guess you\n"
+ "have not heard fully about the great dance to be given by the\n"
+ "girls on the floor of the field house.\n"
+ "\n"
+ "     My hands have put fresh green goods on the walls.  Every\n"
+ "girl has a green dress, on its front a funny glass heart that\n"
+ "she gives as a favor.  The old folks can drive up early, eat\n"
+ "and drink and enjoy it all.  We will delay the dance till the\n"
+ "girls enter in a dozen files.  It would crush me to death if\n"
+ "an error were found in the plans.  Happy hours on earth are\n"
+ "never heavy.  Can you doubt that you are going?\n"
+ "\n"
+ "Sincerely yours,\n"
),

new Lesson( Lesson.PARAGRAPH, "Lesson M5.4: Speed Test",
"(4) Five-letter words (i to p)",
  "Dear Madam,\n"
+ "\n"
+ "     I have your two later notes of March 1.  Maybe it is a\n"
+ "large order for you to leave for the north in the month of\n"
+ "March.\n"
+ "\n"
+ "     Our place is miles away, but the real issue is that mu-\n"
+ "sic means much to us.  A night of music, even one piece of\n"
+ "music, has often meant more to me than my local paper and all\n"
+ "the power I have known.  If I can plant a love of music in all\n"
+ "parts of this place so that all who hear you sing can learn to\n"
+ "love it, it will mean more to me than money.\n"
+ "\n"
+ "     I never laugh at money, but isn't it plain in these\n"
+ "lines that price ought to be the least of all the items?  The\n"
+ "point is that our plans for your party are more important.  If\n"
+ "you read our other offer in the light of our love for music,\n"
+ "we might not seem so far away.\n"
+ "\n"
+ "Yours sincerely,\n"
),

new Lesson( Lesson.PARAGRAPH, "Lesson M5.5: Speed Test",
"(5) Pointed Paragraph (u y)",
  "     If truly quoted, you and Guy, mere youths, fly a con-\n"
+ "tinuous journey of thousands of miles yearly in your study\n"
+ "of numerous flying routes.  You say you were south in July\n"
+ "in the dry country conspicuous for yucca, but now you are\n"
+ "busy buying a quota of various useful items to supply your\n"
+ "outfit for the famous Yukon.  Yet I am suspicious when you\n"
+ "say this unusual survey is monotonous rather than glorious.\n"
+ "You should hurry surely to Vancouver for some delicious\n"
+ "yuletide fare.  It seems only yesterday that I was conscious\n"
+ "of being young and vigorous enough to fly my buoyant plane.\n"
+ "If you lucky boys are victorious over any unusually furious,\n"
+ "dangerous, or anxious double duty on this survey, write a\n"
+ "quotable account yourself for the Journal.\n"
),

new Lesson( Lesson.DRILL, "Lesson M6.1: Drill",
"(1) Warming-Up Drill",
  "They were often too tired to be certain they heard the hour.\n"
),

new Lesson( Lesson.DRILL, "Lesson M6.2: Drill",
"(2) Balanced Keyboard Drill",
  "hood ight sion full ould able like ment ical tial ambi semi\n"
+ "hand part king itio hing tory ding enti ting thou ving very\n"
),

new Lesson( Lesson.PARAGRAPH, "Lesson M6.3: Speed Test",
"(3) Five-letter words (q to s)",
  "Dear Alice,\n"
+ "\n"
+ "     I shall start my river story since you have shown you like\n"
+ "my style.\n"
+ "\n"
+ "     The scene is a state in the South.  A sweet girl speaks of\n"
+ "the sound and sight of the river.  Seven men without shame raise\n"
+ "the stock sales and the boy tries to spend too much at the store.\n"
+ "In order to make a quiet and quick slide down the river, the men\n"
+ "seize the boat while the others, who are quite ready to serve the\n"
+ "girl, sleep.\n"
+ "\n"
+ "     It seems the girl has sense, for on a sheet of paper she\n"
+ "writes that her stock of gold is within reach from a round stone\n"
+ "under the small shade tree.  She does not quote the boy, but does\n"
+ "refer to the sorry end of his short study, and in her reply to his\n"
+ "folks she will state how the gold may still be spent in the right\n"
+ "way, which will stamp the story as real.\n"
+ "\n"
+ "Yours sincerely,\n"
),

new Lesson( Lesson.PARAGRAPH, "Lesson M6.4: Speed Test",
"(4) Five-letter words (t to z)",
  "Dear Mrs. White,\n"
+ "\n"
+ "     I wish to thank you for the words you wrote three weeks ago,\n"
+ "and I trust you will write again on the wrong and waste of war.\n"
+ "\n"
+ "     As I watch the wheels of events today, I think you value a\n"
+ "thing it has taken me a third of my years to see.  In its total\n"
+ "trade the world is one whole, and each part in touch with the\n"
+ "other at most times.\n"
+ "\n"
+ "     The usual farm woman won't see a trade table or understand\n"
+ "its terms, for she is tired with her efforts to train and teach\n"
+ "her young.  She has tried to throw her value into her home, which\n"
+ "to her is worth so much.  War can not be put under until these\n"
+ "women see there is but one world, which truly is their world.\n"
+ "\n"
+ "     Where will you be while the thick wheat is harvested?  If\n"
+ "not across the water, would you visit us, using your voice to\n"
+ "teach us these things?\n"
+ "\n"
+ "Yours sincerely,\n"
),

new Lesson( Lesson.PARAGRAPH, "Lesson M6.5: Speed Test",
"(5) Pointed Paragraph (n m)",
  "     Important dinner company in our small apartment was\n"
+ "not common, and November ninth mamma was solemn in manner.\n"
+ "The moment nine American gentlemen were announced, fun and\n"
+ "argument began.  I remember one ancient gentleman, manager\n"
+ "of much more income than mine, who was not solemn as imag-\n"
+ "ined, but funny and human, even if normal demand, planned\n"
+ "movements of modern machines to Canada, long term payments,\n"
+ "and columns of numbers meant much more to him than to me.\n"
),

new Lesson( Lesson.DRILL, "Lesson M7.1: Drill",
"(1) Warming-Up Drill",
  "Though I don't seem to hear the doctor, I know he is early.\n"
),

new Lesson( Lesson.DRILL, "Lesson M7.2: Drill",
"(2) Balanced Keyboard Drill",
  "stat each ning ieve ring side nder emen turn embe llow ours\n"
),

new Lesson( Lesson.PARAGRAPH, "Lesson M7.3: Speed Test",
"(3) Continuous Copy",
  "Dear Mr. and Mrs. Blank,\n"
+ "\n"
+ "     Your son has not called on me.  If he is to become almost an\n"
+ "annual charge upon the county, the church will answer with action.\n"
+ "Yet, I am afraid his arrest can not assure his coming around and\n"
+ "asking us for advice.  Of course he has to appear before August.\n"
+ "He bought on credit, got behind in cash, and the amount became too\n"
+ "big.  I shall pay it.\n"
+ "\n"
+ "     You are an old couple, and I advise you to accept this.  Any-\n"
+ "way, he is not a common boy and must have a chance.  He always does\n"
+ "appear to anyone as fit.  I run across copies of his art.  I can\n"
+ "advise your son, attend to his credit, and try to help him arrive\n"
+ "at a change for the better.\n"
+ "\n"
+ "Sincerely yours,\n"
),

new Lesson( Lesson.PARAGRAPH, "Lesson M7.4: Speed Test",
"(4) Six-letter words (d to k)",
  "Dear Dick\n"
+ "\n"
+ "     I have a dollar.  I expect you to follow me and take dinner.\n"
+ "Friday I didn't have cash, but a friend of the family had enough\n"
+ "for both of us.\n"
+ "\n"
+ "     Father is having all the lot, except the garden, filled in\n"
+ "during the week.  Giving in to his desire, I intend to work the\n"
+ "ground.  Doctor says that my health is hardly an excuse, so I had\n"
+ "better decide to make an effort.  Indeed, I am driven either to\n"
+ "finish the work in the near future or pay to have it done.\n"
+ "\n"
+ "     I am hoping you will happen upon some kindly fellow to whom\n"
+ "a flower garden itself is fun, and inform me.  I shall direct him,\n"
+ "as the entire effect will lie in the way we handle the ground\n"
+ "plan.  Don't forget.\n"
+ "\n"
+ "Yours sincerely,\n"
),

new Lesson( Lesson.PARAGRAPH, "Lesson M7.5: Speed Test",
"(5) Pointed Paragraph (q z)",
  "     I quit the quiz when I saw the quantity of queer hazy\n"
+ "questions.  To seize lesser prizes required answers to a\n"
+ "dozen queries.  Only a quarter of the quotas qualified with\n"
+ "zest.  Many had zero when the quiz asked:  In what zones are\n"
+ "Brazil, Switzerland, Arizona, or Texas?  Zebras in our zoos\n"
+ "grow to what sizes?  Analyze and quote one great citizen's\n"
+ "query as to zeppelins.  Criticize the quality of jazz music.\n"
),

new Lesson( Lesson.DRILL, "Lesson M8.1: Drill",
"(1) Warming-Up Drill",
  "At the last minute he wrote that he knew it was done again.\n"
),

new Lesson( Lesson.DRILL, "Lesson M8.2: Drill",
"(2) Balanced Keyboard Drill",
  "trans ition there lease craft hyper etter esque ceive where\n"
),

new Lesson( Lesson.PARAGRAPH, "Lesson M8.3: Speed Test",
"(3) Six-letter words (l to r)",
  "Dear Rollin,\n"
+ "\n"
+ "     I did notice a number of the pretty places I passed in\n"
+ "the air nearly two months ago, and I can at length locate\n"
+ "the best.  If prices remain rather low, I will not return\n"
+ "for any person or be prompt at orders.  I can play a record\n"
+ "or two, and not regret there is no report to be looked at.\n"
+ "I want to be myself and regard nature, not people.\n"
+ "\n"
+ "     To obtain this latter result is the proper reason for\n"
+ "making this quiet trip.  So far from the public, matter in\n"
+ "the papers will be old and market policy of little moment.\n"
+ "It will please me to have you with us longer than the others.\n"
+ "I was really living for the period when I would be placed with\n"
+ "you both.  Your mother has a lovely manner.  I am glad to\n"
+ "oblige so recent a member of our office, too.\n"
+ "\n"
+ "     This letter is being mailed Monday, and in two days we\n"
+ "shall go.\n"
+ "\n"
+ "Yours sincerely,\n"
),

new Lesson( Lesson.PARAGRAPH, "Lesson M8.4: Speed Test",
"(4) Six-letter words (s to z)",
  "Dear Sylvia,\n"
+ "\n"
+ "     I wonder if my sister talked to you on Sunday of the\n"
+ "thirty things we wanted to do this summer?  We were trying\n"
+ "all the spring season at school to secure a supply of sim-\n"
+ "ple but strong materials for a camp in the valley.\n"
+ "\n"
+ "     It struck me as we were taking a walk down the street\n"
+ "that we would surely be unable to do as we stated unless you\n"
+ "took a sudden notion to help.  It seemed to me on second\n"
+ "thought we should give thanks to you for giving tongue to our\n"
+ "wishes last winter, for you turned the folks in our favor.\n"
+ "\n"
+ "     My sister was saying that girls from twenty states had\n"
+ "signed our pledge, so we are united.  Though this is off the\n"
+ "subject, I saw a pretty yellow and silver dress within a win-\n"
+ "dow on Main Street toward our corner.  Would you think it\n"
+ "suitable for the writer?\n"
+ "\n"
+ "Sincerely yours,\n"
),

new Lesson( Lesson.PARAGRAPH, "Lesson M8.5: Speed Test",
"(5) Pointed Paragraph (a q)",
  "     I acquired a bequest from a quizzical Quaker.  How\n"
+ "to apply it was a quandary.  As a quasi artist, I began in\n"
+ "Albuquerque to make a quantity of plaques of chance Indian\n"
+ "acquaintances.  My masquerade as an artist of quality in\n"
+ "that quaint land of quite Spanish art and adobe was adequate\n"
+ "and equally unique.  Squeezed in quiet, antiquated adobe\n"
+ "quarters, I began quickly and without qualms to qualify as\n"
+ "an artist.  After quarrels and questions over my queer tech-\n"
+ "niques, I acquired my quota of opaque plaques.\n"
),

new Lesson( Lesson.DRILL, "Lesson M9.1: Drill",
"(1) Warming-Up Drill",
  "Instead of having us tonight he is making ready for Tuesday.\n"
),

new Lesson( Lesson.DRILL, "Lesson M9.2: Drill",
"(2) Balanced Keyboard Drill",
  "stead ation retro geous contr ourse ultra super ntion under\n"
),

new Lesson( Lesson.PARAGRAPH, "Lesson M9.3: Speed Test",
"(3) Continuous Copy; Seven-letter words (a-f)",
  "Dear Annabel,\n"
+ "\n"
+ "     My brother and his college friends in the factory decided to arrange an\n"
+ "evening exactly as in the old days.  After calling us, they arrived and we\n"
+ "carried out the idea.  We used an old college catalog and each girl had an old\n"
+ "college dress.\n"
+ "\n"
+ "     Further to advance the evening, my brother advised us of an old address\n"
+ "near the freight yard where certain college boys brought this or that article\n"
+ "and were allowed a few dollars.  As we went in, an old man came a step farther,\n"
+ "fell forward and against me.  Brother charged him.  Will you believe this care-\n"
+ "ful account I enclose?  Between brother and me lay this old man who did seem\n"
+ "dead.  I can't express my feeling.  His head was covered with marks of blows.\n"
+ "\n"
+ "     Already we were anxious to go.  Yet his safe was open, as if to furnish us\n"
+ "the old books with the many expense charges against the college boys.  When I\n"
+ "looked to see who of our company were in them, I read one balance after another\n"
+ "paid from the old country to My Dearest Son.  You are correct if you guess we\n"
+ "now ran, because we did.  What follows?  Today's paper doesn't have a line.\n"
+ "\n"
+ "Yours sincerely,\n"
),

new Lesson( Lesson.PARAGRAPH, "Lesson M9.4: Speed Test",
"(4) Seven-letter words (g to o)",
  "Dear Mrs. White,\n"
+ "\n"
+ "     I have been holding on, but this January I am getting out.\n"
+ "My wife herself may have told you of our opening.  However, I go\n"
+ "at ten o'clock this morning, and your husband is still out.  He is\n"
+ "to do my general work himself, and may not imagine there is any\n"
+ "measure of justice in that.  We married men are obliged to do as\n"
+ "ordered.\n"
+ "\n"
+ "     I am leaving a hundred matters.  He has my opinion on each.\n"
+ "Tell him the minutes of the last meeting of the members are on my\n"
+ "table.  Tell him I haven't an invoice, but have instead an October\n"
+ "bill, for our new machine parts.  He may mention this item to the\n"
+ "manager, as he has neither its history nor my letters of inquiry.\n"
+ "\n"
+ "     I find nothing else to include.  We shall miss you greatly,\n"
+ "and we shall be looking for you at our new home.\n"
+ "\n"
+ "Yours sincerely,\n"
),

new Lesson( Lesson.PARAGRAPH, "Lesson M9.5: Speed Test",
"(4) Seven-letter words (p to z)",
  "Dear Patrick,\n"
+ "\n"
+ "     I realize that this letter I am sending may subject you to some trouble.\n"
+ "I am writing tonight without waiting to go through various reports on our\n"
+ "present program.  If I had thought that you would be willing to give me an\n"
+ "extra day, perhaps I would have come myself.\n"
+ "\n"
+ "     As soon as this letter has reached you, and you have finished reading the\n"
+ "several items about which I have written, I hope you can give extra working\n"
+ "time to my request for special records. These items will suggest a new plan as\n"
+ "I picture it.  I shall add them to this note.\n"
+ "\n"
+ "     It is my purpose to prepare a fast station-to-station service that should\n"
+ "be in running order soon.  I suppose it could be started next month.  Let me\n"
+ "ask, also, whether we could receipt each payment, as we receive it, on a\n"
+ "regular form similar to those in the package shipped you Tuesday.  I am pleased\n"
+ "with your showing.  You have been like a soldier on duty in any and all\n"
+ "weather.  Success is your teacher.\n"
+ "\n"
+ "With my best regards,\n"
),

new Lesson( Lesson.DRILL, "Lesson M10.1: Drill",
"(1) Warming-Up Drill",
  "He would separate the whole business and buy out their half.\n"
),

new Lesson( Lesson.DRILL, "Lesson M10.2: Drill",
"(2) Balanced Keyboard Drill",
  "inter itude circu gious right cious after extra micro sible\n"
),

new Lesson( Lesson.PARAGRAPH, "Lesson M10.3: Speed Test",
"(3) Continuous Copy; Eight-letter words(a to m)",
  "Dear Thomas,\n"
+ "\n"
+ "     First, I consider of definite interest anything from\n"
+ "the business of as good a customer as you.  As director of\n"
+ "our division, I am to continue handling building material.\n"
+ "My judgment on all the evidence, which I send herewith\n"
+ "enclosed in a second envelope, is one of complete approval.\n"
+ "Let me have a contract covering the earliest delivery date.\n"
+ "Are you advising me what increase in your discount is to be\n"
+ "expected?\n"
+ "\n"
+ "     Second, this forenoon I saw your son and he told me of\n"
+ "his marriage in February.  Although you had not entirely\n"
+ "finished the addition to your lake house by last December,\n"
+ "couldn't you exchange it, as it is, for my mountain home?\n"
+ "Your son said that his young wife wants to live on this\n"
+ "mountain to which all your children seem so attached.\n"
+ "\n"
+ "Sincerely yours,\n"
),

new Lesson( Lesson.PARAGRAPH, "Lesson M10.4: Speed Test",
"(4) Eight-letter words (n to z)",
  "Dear Nathan,\n"
+ "\n"
+ "     My last shipment has probably been received, for the purchase was made\n"
+ "Thursday.  Tomorrow is Saturday, a pleasant day, for I go on my vacation.\n"
+ "\n"
+ "     Do you remember an original idea you proposed last November relative\n"
+ "to planning for some shipping from my property?  My neighbor recently\n"
+ "called it a plan in a thousand, and we must get together so that I can\n"
+ "thank you properly.  This is a national as well as personal question,\n"
+ "and I am trusting that you will be thinking that it is possible for you to\n"
+ "help put it into practice.\n"
+ "\n"
+ "     If you can possibly separate yourself from teachers and your\n"
+ "teaching position sometime soon, plan to get a standard car and\n"
+ "whatever else is required for the trip.  The car would also be a\n"
+ "pleasure after you return to New York.  May I persuade you in re-\n"
+ "plying to state that you are planning to come promptly?  We will\n"
+ "make you one of the officers of the shipping business.\n"
+ "\n"
+ "Your sincerely,\n"
),

new Lesson( Lesson.PARAGRAPH, "Lesson M10.5: Speed Test",
"(5) Nine-letter words (a to i)",
  "Dear Son,\n"
+ "\n"
+ "     I am beginning this afternoon to give my immediate attention\n"
+ "to a Christmas that should be beautiful.  I have addressed, to be\n"
+ "forwarded and delivered in good condition, some new equipment\n"
+ "according to your wish.  I note, too, that your committee met.\n"
+ "What these gentlemen said is important and may be a sort of in-\n"
+ "surance that your plan does not fail.  I certainly would not want\n"
+ "to duplicate for you the kind of education given me.\n"
+ "\n"
+ "     Be different by following more than one new idea, including\n"
+ "some of your own.  If you can carefully take fair advantage of\n"
+ "every available condition, everybody should accept you cordially,\n"
+ "as answering to the character of a gentleman.  Mother is enclosing\n"
+ "a few lines.\n"
+ "\n"
+ "Yours sincerely,\n"
),

new Lesson( Lesson.DRILL, "Lesson M11.1: Drill",
"(1) Warming-Up Drill",
  "My country friend is beginning to believe trouble is coming.\n"
),

new Lesson( Lesson.DRILL, "Lesson M11.2: Drill",
"(2) Balanced Keyboard Drill",
  "thing pleas ought quest ember count ditio state recei ction\n"
),

new Lesson( Lesson.PARAGRAPH, "Lesson M11.3: Speed Test",
"(3) Nine-letter words (j to z)",
  "Dear Gertrude,\n"
+ "\n"
+ "     This letter has no reference to shipments which you have\n"
+ "so kindly purchased from me in the past.  Rather, as you are\n"
+ "returning to this territory by September, our president has re-\n"
+ "quested me as secretary to ask that you make a statement before\n"
+ "our club the first Wednesday.\n"
+ "\n"
+ "     Let me say something of the questions we have been receiving\n"
+ "for the year.  Recently I read that the old principle today still\n"
+ "applies.  It is wonderful what our new knowledge has surprised us\n"
+ "into regarding as necessary for ourselves--sometimes things not\n"
+ "even mentioned yesterday.\n"
+ "\n"
+ "     Will you therefore represent this new deal and present the\n"
+ "situation to us in principle, sincerely, as you see it?  Other-\n"
+ "wise, if you cannot make this provision now, I shall be glad to\n"
+ "call upon you later.\n"
+ "\n"
+ "Yours sincerely,\n"
),

new Lesson( Lesson.PARAGRAPH, "Lesson M11.4: Speed Test",
"(4) Ten-letter words (a to z)",
  "Dear Alex,\n"
+ "\n"
+ "     We are especially interested in the settlement run by a\n"
+ "new department at the University.  We appreciate the importance\n"
+ "of its additional study to understand impossible conditions in\n"
+ "the poor parts of our city, and its use for adjustment of some\n"
+ "particular boy or girl.  Have you read our memorandum in this\n"
+ "connection?\n"
+ "\n"
+ "     Our city is absolutely too big.  With the automobile we can\n"
+ "distribute every person to his home along a line, our wide road,\n"
+ "run far out from the city.  The difference between country and\n"
+ "city grows less and less, in accordance with such use of the auto-\n"
+ "mobile.\n"
+ "\n"
+ "     Concerning our collection of any remittance from you, this\n"
+ "would serve to form a Conference which would develop everything\n"
+ "that can make city governments bring full and rich experience\n"
+ "to all.\n"
+ "\n"
+ "Sincerely yours,\n"
),

new Lesson( Lesson.PARAGRAPH, "Lesson M11.5: Speed Test",
"(5) Eleven- to fourteen-letter words (a to z)",
  "Dear Sir,\n"
+ "\n"
+ "     I wish to acknowledge the recent interesting correspondence\n"
+ "from your office on the very considerable requirements of the new\n"
+ "law that have to do with any unfortunate advertising that might\n"
+ "appear in my papers.\n"
+ "\n"
+ "     Our association also has appreciated both your instructions\n"
+ "and the opportunity for prompt examination and understanding of\n"
+ "the new arrangement, particularly its application to all informa-\n"
+ "tion given the public about merchandise for sale.  This has been\n"
+ "a real convenience in our consideration of the entire proposition.\n"
+ "\n"
+ "     I want to assure you that our co-operation under the new law\n"
+ "will be satisfactory in every way.\n"
+ "\n"
+ "Yours respectfully,\n"
),

new Lesson( Lesson.PARAGRAPH, "Lesson M11.6: Speed Test",
"(6) Pointed Paragraph (l r z)",
  "     The JOURNAL learned that the relatives on their arrival in\n"
+ "April had already referred the trouble to lawyers.  Their early re-\n"
+ "turn surprises me.  As to the children themselves, the older girls\n"
+ "are personally agreeable, slender, and certainly full of zest.  They\n"
+ "travel yearly and already are familiar with the world.  Their father\n"
+ "was a quizzical old man who fairly idolized them.  His will leaves\n"
+ "them very nearly a half-million dollars.  Only the earlier, first\n"
+ "will is very irregular.  I've already quizzed them about the real\n"
+ "hazards of quarrels over legal prizes of similar size.  From their\n"
+ "replies I've realized slowly that the girls are all right.  It\n"
+ "really amazes me that even persons like ourselves promptly seize\n"
+ "upon some hostile relative's version of an earlier will, which\n"
+ "should be recognized easily as false.\n"
),
	};
}
