//
// JTypist v3.0 - Java typing tutor program for UNIX systems
// Copyright (C) 1998  Simon Baldwin (simonb@sco.com)
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//
//
// LessonSeriesN class - holds the N series of lessons
//

public final class LessonSeriesN {
	public static final String series = "Series N";
	public static final String descr = "Calculator keypad (N1 - N3)";
	public static final Lesson lessons[] = {
new Lesson( Lesson.TUTORIAL, "Lesson N1.1: Tutorial",
"",
  "\n"
+ "			Numeric Keypad Lessons\n"
+ "\n"
+ "The N series lessons are provided for practice with the numeric keys available\n"
+ "on the H89/H19 terminal.  You do not need to know how to touch type on the\n"
+ "standard keyboard in order to learn touch typing on a calculator keypad.  So,\n"
+ "you can begin this series right away.\n"
+ "\n"
+ "When entering numeric values, accuracy is usually more important than speed.\n"
+ "Take these lessons very slowly.  Speed will come naturally later.\n"
+ "\n"
+ "As with the standard keypad, you must start in the HOME position.  Place the\n"
+ "first three fingers of your right hand over the 4, 5, and 6 keys of the keypad.\n"
+ "(Your thumb and fifth finger are not used.)  Your fingers should be poised just\n"
+ "over the keys gently brushing them.  Use the thumb or any finger of your left\n"
+ "hand for other keys, such as the SPACE bar.\n"
+ "\n"
+ "After entering each line, hit the ENTER key with the 6-finger (the third finger\n"
+ "of your right hand).  Immediately return your finger to the 6 key.  It is very\n"
+ "important that you bring the finger back without looking.\n"
),

new Lesson( Lesson.DRILL, "Lesson N1.2: Drill",
"Use your third finger only.",
  "666666\n"
),

new Lesson( Lesson.DRILL, "Lesson N1.3: Drill",
"Use your second finger for the 5.",
  "6565656\n"
),

new Lesson( Lesson.DRILL, "Lesson N1.4: Drill",
"Use your first finger for the 4.",
  "666444555444666\n"
),

new Lesson( Lesson.PARAGRAPH, "Lesson N1.5: Speed Test",
"Now let's try several lines.",
  "666444666\n"
+ "444555666\n"
+ "555444555\n"
+ "666444666\n"
+ "646464646\n"
+ "656565656\n"
+ "445566555\n"
+ "456456456\n"
),

new Lesson( Lesson.DRILL, "Lesson N1.6: Drill",
"Use your second finger for the period.",
  "555...555\n"
),

new Lesson( Lesson.PARAGRAPH, "Lesson N1.7: Speed Test",
"",
  "5.54.45.56.6\n"
+ "444.555\n"
+ "45.56.6\n"
+ "64.65.4\n"
+ "54.65.4\n"
),

new Lesson( Lesson.PARAGRAPH, "Lesson N1.8: Speed Test",
"",
  "445566.654\n"
+ "654456.546\n"
+ "546546.564\n"
+ "554466.645\n"
+ "555444.666\n"
),

new Lesson( Lesson.DRILL, "Lesson N1.9: Drill",
"Use your first finger for the 1-key.",
  "444111444.444111444\n"
),

new Lesson( Lesson.PARAGRAPH, "Lesson N1.10: Speed Test",
"",
  "111.444\n"
+ "414.141\n"
+ "456.546\n"
+ "415.164\n"
+ "541.146\n"
),

new Lesson( Lesson.DRILL, "Lesson N1.11: Drill",
"Now, let's review the keys we've learned.",
  "444555666111...555444666111\n"
),

new Lesson( Lesson.PARAGRAPH, "Lesson N1.12: Speed Test",
"",
  "414.564\n"
+ "546.145\n"
+ "546.145\n"
+ "644.146\n"
+ "615.645\n"
+ "564.145\n"
+ "546.164\n"
+ "111.555\n"
+ "514.651\n"
),

new Lesson( Lesson.DRILL, "Lesson N2.1: Drill",
"First, let's review the keys from lesson 1.",
  "444.555.666.111.6541.6541\n"
),

new Lesson( Lesson.DRILL, "Lesson N2.2: Drill",
"Use your 5-finger for the 2 key.",
  "555222555.525.525.525\n"
),

new Lesson( Lesson.PARAGRAPH, "Lesson N2.3: Speed Test",
"",
  "45.25\n"
+ "52.52\n"
+ "62.62\n"
+ "22.22\n"
+ "51.12\n"
+ "12.52\n"
+ "24.42\n"
),

new Lesson( Lesson.DRILL, "Lesson N2.4: Drill",
"Use your 6-finger for the 3 key.",
  "666333666.636.636\n"
),

new Lesson( Lesson.PARAGRAPH, "Lesson N2.5: Speed Test",
"",
  "456.123\n"
+ "321.654\n"
+ "666.333\n"
+ "323.353\n"
+ "343.313\n"
+ "353.363\n"
+ "313.434\n"
),

new Lesson( Lesson.PARAGRAPH, "Lesson N2.6: Speed Test",
"",
  "12.33\n"
+ "45.33\n"
+ "65.35\n"
+ "12.35\n"
+ "65.25\n"
+ "25.63\n"
+ "43.53\n"
+ "13.36\n"
+ "34.31\n"
),

new Lesson( Lesson.DRILL, "Lesson N2.7: Drill",
"Use your 4-finger for the zero.",
  "444000444.401.410\n"
),

new Lesson( Lesson.DRILL, "Lesson N2.8: Drill",
"",
  "410.020.030.040.060.104\n"
),

new Lesson( Lesson.PARAGRAPH, "Lesson N2.9: Speed Test",
"",
  "12.00\n"
+ "23.00\n"
+ "51.50\n"
+ "46.25\n"
+ "54.00\n"
+ "13.04\n"
),

new Lesson( Lesson.DRILL, "Lesson N2.10: Drill",
"Use your 5-finger for the 8-key.",
  "555888555.852.258\n"
),

new Lesson( Lesson.DRILL, "Lesson N2.11: Drill",
"",
  "585.080.808.818.282\n"
),

new Lesson( Lesson.PARAGRAPH, "Lesson N2.12: Speed Test",
"",
  "81.05\n"
+ "84.80\n"
+ "88.88\n"
+ "58.28\n"
+ "80.18\n"
+ "28.38\n"
),

new Lesson( Lesson.DRILL, "Lesson N2.13: Drill",
"Use your 6-finger for the 9-key.",
  "666999666.393.696\n"
),

new Lesson( Lesson.DRILL, "Lesson N2.14: Drill",
"",
  "595.989.696.393.295\n"
),

new Lesson( Lesson.PARAGRAPH, "Lesson N2.15: Speed Test",
"",
  ".91\n"
+ ".90\n"
+ ".94\n"
+ ".95\n"
+ ".96\n"
+ ".93\n"
+ ".90\n"
+ ".95\n"
),

new Lesson( Lesson.DRILL, "Lesson N2.16: Drill",
"And, the last number is 7. (Use your 4-finger for it.)",
  "444777444.0147.7410\n"
),

new Lesson( Lesson.DRILL, "Lesson N2.17: Drill",
"",
  "767.737.797.727.707.717\n"
),

new Lesson( Lesson.DRILL, "Lesson N2.18: Drill",
"",
  "1234567890.1234567890\n"
),

new Lesson( Lesson.PARAGRAPH, "Lesson N2.19: Speed Test",
"",
  "17.19\n"
+ "71.70\n"
+ "19.37\n"
+ "57.07\n"
+ "71.37\n"
+ "27.72\n"
+ "37.73\n"
+ "76.67\n"
+ "45.17\n"
+ "70.07\n"
),

new Lesson( Lesson.PARAGRAPH, "Lesson N2.20: Speed Test",
"",
  "75856\n"
+ "87237\n"
+ "21570\n"
+ "24870\n"
+ "47258\n"
+ "21573\n"
+ "21573\n"
+ "21584\n"
+ "35827\n"
),

new Lesson( Lesson.DRILL, "Lesson N3.1: Drill",
"First, let's review all the numbers.",
  "1234567890.0987654321\n"
),

new Lesson( Lesson.DRILL, "Lesson N3.2: Drill",
"",
  "12.34.56.78.90.10.29.38.47.57\n"
),

new Lesson( Lesson.PARAGRAPH, "Lesson N3.3: Speed Test",
"",
  "123.654\n"
+ "212.658\n"
+ "908.000\n"
+ "285.080\n"
+ "288.381\n"
+ "398.813\n"
+ "286.187\n"
+ "924.156\n"
+ "684.028\n"
+ "354.459\n"
+ "321.840\n"
),

new Lesson( Lesson.PARAGRAPH, "Lesson N3.4: Speed Test",
"",
  "12345\n"
+ "35840\n"
+ "25874\n"
+ "93682\n"
+ "71489\n"
+ "31265\n"
+ "97824\n"
+ "28617\n"
+ "39715\n"
+ "17935\n"
+ "28460\n"
+ "52846\n"
+ "28469\n"
),

new Lesson( Lesson.PARAGRAPH, "Lesson N3.5: Speed Test",
"",
  "1.00\n"
+ "2.05\n"
+ "3.50\n"
+ "4.52\n"
+ "5.81\n"
+ "6.95\n"
+ "7.00\n"
+ "8.45\n"
+ "9.50\n"
),

new Lesson( Lesson.PARAGRAPH, "Lesson N3.6: Speed Test",
"",
  "879.359\n"
+ "286.498\n"
+ "357.159\n"
+ "654.852\n"
+ "159.357\n"
+ "571.392\n"
+ "284.293\n"
+ "231.879\n"
),

new Lesson( Lesson.PARAGRAPH, "Lesson N3.7: Speed Test",
"",
  "100.200\n"
+ "258.246\n"
+ "369.741\n"
+ "123.987\n"
+ "582.714\n"
+ "239.900\n"
+ "273.194\n"
+ "372.973\n"
),

new Lesson( Lesson.DRILL, "Lesson N3.8: Drill",
"Use any finger of your left hand for the SPACE bar.",
  "111 222 333 444 555 666 777 888 999 000\n"
),

new Lesson( Lesson.PARAGRAPH, "Lesson N3.9: Speed Test",
"",
  "123 654 879 264\n"
+ "128 364 928 187\n"
+ "987 234 681 287\n"
+ "357 159 671 077\n"
+ "350 950 137 940\n"
+ "320 487 364 197\n"
),

new Lesson( Lesson.PARAGRAPH, "Lesson N3.10: Speed Test",
"",
  "82.01 35\n"
+ "28.50 12\n"
+ "50.00 79\n"
+ "40.25 37\n"
+ "82.50 19\n"
+ "99.95 61\n"
+ "12.95 87\n"
+ "40.00 55\n"
+ "64.50 99\n"
),
	};
}
