//
// JTypist v3.0 - Java typing tutor program for UNIX systems
// Copyright (C) 1998  Simon Baldwin (simonb@sco.com)
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//
//
// LessonSeriesQ class - holds the Q series of lessons
//

public final class LessonSeriesQ {
	public static final String series = "Series Q";
	public static final String descr = "Quick QWERTY course (Q1 - Q5)";
	public static final Lesson lessons[] = {
new Lesson( Lesson.TUTORIAL, "Lesson Q1.1: Tutorial",
"",
  "			Welcome to lesson Q1.\n"
+ "\n"
+ "In the Q series of lessons, we will be learning to touch-type on the standard\n"
+ "keyboard.  I will introduce you to each letter on the keyboard, one at a time.\n"
+ "By the time you have completed this series, you will be able to type the entire\n"
+ "alphabet, the numbers, and most of the punctuation keys by touch.\n"
+ "\n"
+ "If you have never taken any lessons in typing before, please be patient.  Typing\n"
+ "is not difficult but it does take a lot of practice.  Avoid the tendency to\n"
+ "look down at your fingers while typing.  This is a very bad habit and is hard\n"
+ "to break later.  If you hit the wrong key, I will let you know.  (But, I won't\n"
+ "tell anyone else, so don't worry about it.)\n"
+ "\n"
+ "If you have always used the hunt-and-peck method, you will have an even harder\n"
+ "time keeping yourself from looking.  Don't be surprised if you find touch\n"
+ "typing slower than your old ways.  It may be slower when you first start.\n"
+ "But, touch typing is far faster once you get the hang of it.\n"
+ "\n"
+ "If you can already touch type, you should be able to go through these lessons\n"
+ "fairly quickly.  Or, you may want to go directly to the S series.\n"
),

new Lesson( Lesson.TUTORIAL, "Lesson Q1.2: Tutorial",
"",
  "\n"
+ "			The HOME Keys.\n"
+ "\n"
+ "In order to hit the correct keys by touch alone, you must always know where your\n"
+ "fingers are.  The way to do this is to have a special place for each finger.\n"
+ "This key is called the HOME position.\n"
+ "\n"
+ "Place the first finger of your right hand on the J-key.  Now, place your second\n"
+ "finger on the K-key, your third finger on the L-key, and your fourth-finger on\n"
+ "the ;-key (the one with the : and ; on it).\n"
+ "\n"
+ "Similarly place the four fingers of your left hand on the F, D, S, and A-keys.\n"
+ "Place your right thumb over the SPACE bar.  (Henceforth, always hit the SPACE\n"
+ "bar with this thumb.)  Now, lift all your fingers slightly so that they are\n"
+ "poised just over the keys.  Each finger should be just barely touching its home\n"
+ "key.  This is an electronic keyboard and does not take much pressure to ac-\n"
+ "cidentally press the key down.\n"
+ "\n"
+ "Above the D-key is the E-key.  Above the K-key is the I-key.  Learn these\n"
+ "positions well.  Whenever you are about to type a line, look at your fingers and\n"
+ "make sure they are in the HOME position.  Then don't look at them again.\n"
),

new Lesson( Lesson.TUTORIAL, "Lesson Q1.3: Tutorial",
"",
  "\n"
+ "			DRILL PATTERNS\n"
+ "\n"
+ "For the rest of this lesson, I will display a line of text in the middle of the\n"
+ "screen and instructions at the top of the screen.\n"
+ "\n"
+ "All you have to do is type in the characters that you see in the middle of\n"
+ "the screen.  If you hit the correct key, I will not do anything.  If you make\n"
+ "a mistake, I will display a large X under the letter that you got wrong and\n"
+ "beep the terminal. In either event, just keep going by typing the next letter.\n"
+ "\n"
+ "When you have finished typing the line, hit the RETURN key.  To do this, extend\n"
+ "the little finger of your right hand over to the RETURN key.  Hit the key and\n"
+ "zip the finger back to its home position.  Be careful not to let your other\n"
+ "fingers move far from their home positions in the process.  Also, be careful\n"
+ "not to type an extra space at the end of the line.\n"
+ "\n"
+ "If you made no mistakes on the line, I will display the next drill pattern.  If\n"
+ "you did make a mistake, I will beep at you and make you do the line again.  If\n"
+ "on the second try you made more than two mistakes, I will beep again and make\n"
+ "you try again, etc.  Don't forget to use your right thumb for the SPACE bar.\n"
),

new Lesson( Lesson.DRILL, "Lesson Q1.4: Drill",
"(1) Try this:",
  "asdf ;lkj asdf ;lkj asdf ;lkj asdf ;lkj asdf ;lkj asdf ;lkj\n"
),

new Lesson( Lesson.DRILL, "Lesson Q1.5: Drill",
"Now this:",
  "asdef ;lkij asdef ;lkij asdef ;lkij asdef ;lkij asdef ;lkij\n"
),

new Lesson( Lesson.DRILL, "Lesson Q1.6: Drill",
"(2) Some more:",
  "as al ad ak af aj fa ka da la sa ja sl sd sk sf ls ds ks fs\n"
+ "de le ae ke se je fe ed el ea ek es ej ef ed lf dk dl fl kl\n"
+ "ki ai li si di ji fi ia il is ik id ij if dd ee ss ff ll ei\n"
),

new Lesson( Lesson.DRILL, "Lesson Q1.7: Drill",
"(3) Hang in there; let's do some sentences...",
  "Dad adds a salad  A lad asks  Salad falls as a lad asks Dad\n"
),

new Lesson( Lesson.DRILL, "Lesson Q1.8: Drill",
"(4)",
  "Lease a desk  Add a safe deal  Ask less fees  Add a lease\n"
+ "Lease a lake  Add lake sales  Add deeds  Flee false deals\n"
),

new Lesson( Lesson.DRILL, "Lesson Q1.9: Drill",
"(5)",
  "Feel a dead faded leaf  Seeds fall as a faded leaf falls\n"
+ "A lad sells seeds  Dad feels a seed  Dad adds a seed deal\n"
+ "A deaf lad sells a false jade  Dad sells a deaf lad a sled\n"
),

new Lesson( Lesson.DRILL, "Lesson Q1.10: Drill",
"(6)",
  "Idle Sid seeks a salad  Sis aids Sid  A salad is laid aside\n"
+ "Sid seeks a lake Sis is all silks  Sid likes silks\n"
+ "A lad asks if Dad likes lilies  Dad is ill  Dad feels life dies as lilies fade\n"
+ "Dad slides all lilies aside  Dad is jaded\n"
),

new Lesson( Lesson.DRILL, "Lesson Q1.11: Drill",
"(7)",
  "Sails fill as Sis sails a safe lake  Skill aids Sis  Dad\n"
+ "likes a safe sail  Sis seeks a lee isle  All sail is\n"
+ "laid aside  Sis feels life is ideal  Idle fields lead as\n"
+ "Sis seeks lilies  Sis falls  Lilies fade as Sis falls\n"
+ "Faded sails fill  Idle isles slide aside as Sis sails\n"
),

new Lesson( Lesson.DRILL, "Lesson Q1.12: Drill",
"(8)",
  "Sid adds all sail as Dad sees a safe sea as idle as a lake\n"
),

new Lesson( Lesson.TUTORIAL, "Lesson Q2.1: Tutorial",
"",
  "\n"
+ "			  (h g o u n . t)\n"
+ "\n"
+ "In this lesson you learn six new letters (H, G, O, U, N, T) and the period. (.).\n"
+ "Be sure that the F-finger does not linger on the G-key  or the J-finger on the\n"
+ "H-key.\n"
+ "\n"
+ "Note that you always follow a period with two spaces.\n"
),

new Lesson( Lesson.DRILL, "Lesson Q2.2: Drill",
"(1) Rhythm Drill",
  "a;sldkfjgh a;sldkfjgh a;sldkfjgh a;sldkfjgh a;sldkfjgh\n"
+ "asdefghk lokijujhjn asdefgfk lokijujhjn asdefgfk\n"
+ "l.  a.  l.  s.  l.  d.  l.  e.  l.  n.  l.  t.  l.  o.\n"
),

new Lesson( Lesson.DRILL, "Lesson Q2.3: Drill",
"(2) Balanced Keyboard Drill",
  "as os es us is an on en un in at ot et ut it ad od ed ud id\n"
+ "sa so se su si na no ne nu ni ta to te tu ti ha ho he hu hi\n"
+ "da do de du di au st oi sh oi ts ht oe nk ou nd ue ns ui th\n"
),

new Lesson( Lesson.DRILL, "Lesson Q2.4: Drill",
"(3) Continuous Copy",
  "Ed had a shed.   His shed had dishes.  He had shade.\n"
+ "Ed had his ease.  Sis liked a safe shed.  Sis had shade.\n"
+ "His shed is ashes.  Ed hides his head.  He heeds Sis.\n"
),

new Lesson( Lesson.DRILL, "Lesson Q2.5: Drill",
"(4)",
  "Odd ideas are like odd seeds.  Odd seeds die as do odd deeds.\n"
+ "Dad has odd ideas.  Dad sees a soda as a sad dose.  A soda\n"
+ "aids Sis.  So I see a soda is added.  Sis does like a soda.\n"
),

new Lesson( Lesson.DRILL, "Lesson Q2.6: Drill",
"(5)",
  "Sid used us.  Sid sued us.  Ada used us as aid.  I did aid.\n"
+ "I added ease.  I issued added deeds.  Ada said adieu.  Ada\n"
+ "used dead deeds as issues.  Sid said I used deeds due Ada.\n"
),

new Lesson( Lesson.DRILL, "Lesson Q2.7: Drill",
"(6)",
  "Ed is staid.  Ed uses tested data as assets.  Sis is a\n"
+ "tease.  Sis sets a tea date.  As Ed tastes tea I state tea\n"
+ "data.  Sis teases Ed at tea.  As Ed eats I state diet data.\n"
),

new Lesson( Lesson.DRILL, "Lesson Q2.8: Drill",
"(7)",
  "Sis said Dean is dense as sand.  Dean needs an idea and Sis\n"
+ "needs a sedan.  Dad sends a sedan.  Dean is indeed sad as\n"
+ "he sees Sis and Ed inside.  At nine he sees Sis and Ed dine.\n"
),

new Lesson( Lesson.DRILL, "Lesson Q2.9: Drill",
"(8) Rhythmic Review",
  "He sees that in a test he has to state and use a sane idea.\n"
),

new Lesson( Lesson.TUTORIAL, "Lesson Q3.1: Tutorial",
"",
  "\n"
+ "			  (y r c , ? : p)\n"
+ "\n"
+ "You learned first the letters that are most frequently used in the English\n"
+ "language.  They are repeated over and over again.\n"
+ "\n"
+ "One space always follows a comma.  Don't forget there are two spaces between\n"
+ "sentences, no matter what punctuation mark closes the sentence.\n"
+ "\n"
+ "The colon (:) introduces a list and is followed by two spaces.\n"
),

new Lesson( Lesson.DRILL, "Lesson Q3.2: Drill",
"(1) Rhythm Drill",
  "deki frju dck, dcl. frju ftjy deki frju dck, dcl. frju ftjy\n"
+ "fgjh ;p;? jujy dedc lol. kik, fgju ;:;: frfk jujy dedc kik,\n"
),

new Lesson( Lesson.DRILL, "Lesson Q3.3: Drill",
"(2) Balanced Keyboard Drill",
  "ag ac ar al ap at ay af ug uc ur ul up ut eg ec er el ep et\n"
+ "ey ef og or ol op ot of ig ic ir il ip if ga ca ra la pa fa\n"
+ "gu cu ru lu pu fu ge ce re le pe ye fe go co ro lo po yo fo\n"
+ "gi ci ri li fi gn pl gh ld sy rd ty ct ft ch nc dy dr ph ng\n"
+ "s?  d?  e?  f?  r?  f?  t?  j?  n?  s:  d:  e:  r:  t:  n:\n"
+ "k, i, d, e, f, r, k, u, f, t, k, y, d, c, k, n, k, h, l, o,\n"
),

new Lesson( Lesson.DRILL, "Lesson Q3.4: Drill",
"(3) Continuous Copy",
  "Chance can aid a nice choice.  It can teach one to count his\n"
+ "costs too.  In each such case a chance cause can hit costs.\n"
),

new Lesson( Lesson.DRILL, "Lesson Q3.5: Drill",
"(4)",
  "At his age a good song is the thing as he gets his dog and\n"
+ "gun.  He is going to hunt again.  As night ends he sets out.\n"
),

new Lesson( Lesson.DRILL, "Lesson Q3.6: Drill",
"(5)",
  "As soon as papa is deep in a nap Pat happens to pound in his\n"
+ "shop and the phone sounds.  Pat is to paint and pass up noise.\n"
),

new Lesson( Lesson.DRILL, "Lesson Q3.7: Drill",
"(6)",
  "I hear there is an error in her other order.  The store sent\n"
+ "her red dress to our door.  She is sure that it is too dear.\n"
),

new Lesson( Lesson.DRILL, "Lesson Q3.8: Drill",
"(7)",
  "I shall hold those ideal hotel lots at least until all land\n"
+ "is sold.  Late sales still total less than the one old deal.\n"
),

new Lesson( Lesson.DRILL, "Lesson Q3.9: Drill",
"(8)",
  "Sunday is too soon.  It is not easy to stay and study this\n"
+ "dandy day.  I need to study.  It is not easy on the eyes.\n"
),

new Lesson( Lesson.DRILL, "Lesson Q3.10: Drill",
"(9)",
  "One needs to use faith if one fishes often.  It is fun to sit\n"
+ "on soft sod and fish.  It is fun to feel a fish dash out fast.\n"
),

new Lesson( Lesson.DRILL, "Lesson Q3.11: Drill",
"(9A)",
  "Hello, is this Dan?  Hello, Dan, this is Ann.  No, Ann.  Did\n"
+ "you see Ted?  Is Nan at the house?  Then dash to the house.\n"
+ "Is he at the house?  Has he his auto?  Did he tie on those\n"
+ "odds and ends:  used suits, sun hats, shoes, and side tent?\n"
),

new Lesson( Lesson.DRILL, "Lesson Q3.12: Drill",
"(10) Rhythmic Review",
  "Papa can not plan to get us all there in such a car as this.\n"
),

new Lesson( Lesson.TUTORIAL, "Lesson Q4.1: Tutorial",
"",
  "\n"
+ "			(m w v z x b q ' -)\n"
+ "\n"
+ "Self control is important in learning to type.  Concentrate on using the\n"
+ "correct finger for each key.  In this lesson you learn the seven remaining\n"
+ "letters of the alphabet.\n"
+ "\n"
+ "The semicolon (;), like the comma, is followed by one space in a sentence.\n"
),

new Lesson( Lesson.DRILL, "Lesson Q4.2: Drill",
"(1) Rhythm Drill",
  "dedc kik, frfv jujm swsx lol. aqaz ;p;p frfv jujm ftfb jyjn\n"
+ "aqsw az;p sxl. fvjm fvjn fbjn aqsw az;p sxl. fvjm fvjn fbjn\n"
),

new Lesson( Lesson.DRILL, "Lesson Q4.3: Drill",
"(2) Balanced Keyboard Drill",
  "am aw av az ak ax ab um ub em ew ev ez ek eq ex om ow ov oz\n"
+ "ok ob im iv iz ix ib ma wa va za ka ja xa ba mu ju qu bu me\n"
+ "we ve ze ke je xe be mo wo vo zo ko jo bo mi wi vi zi ki xi\n"
+ "bi xt sm sk sw kn ms nk wh tw ks wn dv s; o; n; d; l; e; t;\n"
),

new Lesson( Lesson.DRILL, "Lesson Q4.4: Drill",
"(3) Continuous Copy",
  "Iowa was white with snow when we two went down town and saw\n"
+ "a show.  We wanted to see news and not the widow who was wed.\n"
),

new Lesson( Lesson.DRILL, "Lesson Q4.5: Drill",
"(4)",
  "John has to use a tan and jet auto.  He joined Jane in its\n"
+ "joint use.  Jane just intends to use it in June on a jaunt.\n"
),

new Lesson( Lesson.DRILL, "Lesson Q4.6: Drill",
"(5)",
  "Smith is his name.  He is on some Maine team.  I am to meet\n"
+ "him and Miss Smith.  I must see them some time this month.\n"
),

new Lesson( Lesson.DRILL, "Lesson Q4.7: Drill",
"(6)",
  "Kate uses ink to send a note south to Kansas kin.  She asks\n"
+ "to use a kodak to take along on these keen skates and skis.\n"
),

new Lesson( Lesson.DRILL, "Lesson Q4.8: Drill",
"(7)",
  "I advise Eva in vain to avoid an auto visit in seven states.\n"
+ "Nevada is so vivid that Eva votes to have this visit saved.\n"
),

new Lesson( Lesson.DRILL, "Lesson Q4.9: Drill",
"(8)",
  "She has questions and unique ideas to quote us.  So she is\n"
+ "quite the queen in this quiet set and sets us quaint quotas.\n"
),

new Lesson( Lesson.DRILL, "Lesson Q4.10: Drill",
"(9)",
  "The zoo is shut.  His zest is dashed.  Dan dozes.  One sneeze\n"
+ "and then a dozen seize Dan.  In a daze he sees the zoo seized.\n"
),

new Lesson( Lesson.DRILL, "Lesson Q4.11: Drill",
"(9A)",
  "The boat has been best to Boston.  On this basis no doubt one\n"
+ "is bound to be a bit behind but boats beat both dust and heat.\n"
),

new Lesson( Lesson.DRILL, "Lesson Q4.12: Drill",
"(9B)",
  "Nan is in Texas.  She is anxious to dine at six.  She sees a\n"
+ "taxi stand next to the sixth exit.  Taxis exist to aid one.\n"
),

new Lesson( Lesson.DRILL, "Lesson Q4.13: Drill",
"(10) Rhythmic Review",
  "Ask them to let us have the car if they both go to the show.\n"
),

new Lesson( Lesson.TUTORIAL, "Lesson Q5.1: Tutorial",
"",
  "\n"
+ "Now you know all of the alphabet.  In this lesson we add the hyphen (-) and\n"
+ "the apostrophe (').\n"
),

new Lesson( Lesson.DRILL, "Lesson Q5.2: Drill",
"(1) Rhythm Drill",
  "dedc kik, frfv jujm swsx lol. aqaz ;p;p frfv jujm ftfb jyjn\n"
+ "frfk fvfb jujy jmjn aqsw azsw azsx ;plo ;p;- kik, ;p;-\n"
),

new Lesson( Lesson.DRILL, "Lesson Q5.3: Drill",
"(2) Balanced Keyboard Drill",
  "ad ar an al am ab ee st ed er en el es em ex om on or un up\n"
+ "id ic ir in im se sy le ly re ry ec fy ty de be my by bi di\n"
+ "l-t o-d s-c p-t o-d n-y r-o g-d r-h d-g n't t's l's y's I'l\n"
),

new Lesson( Lesson.DRILL, "Lesson Q5.4: Drill",
"(3) Continuous Copy -- Review",
  "It is a good thing papa has gone.  Pat gets up a deep song.\n"
+ "Yet Ann says an easy song any day is a sign to guess again.\n"
),

new Lesson( Lesson.DRILL, "Lesson Q5.5: Drill",
"(4)",
  "They often need funds but don't think it is any fun to study.\n"
+ "Ann is keen to ask him to use his kodak at the same time.\n"
),

new Lesson( Lesson.DRILL, "Lesson Q5.6: Drill",
"(5)",
  "Ted notes an odd noise.  Dan is in the seas and needs aid.\n"
+ "He sheds his suit and shoes on the sand and is out in haste.\n"
),

new Lesson( Lesson.DRILL, "Lesson Q5.7: Drill",
"(6)",
  "A good visit East is Ann's next quest.  Ann seems to seize\n"
+ "on this idea with zest.  She has set seven visits as a quota.\n"
),

new Lesson( Lesson.DRILL, "Lesson Q5.8: Drill",
"(7)",
  "She is to adjust her six visits to have a snow-white Maine\n"
+ "Christmas.  An Iowa aunt asks Ann to take in that state, too.\n"
),

new Lesson( Lesson.DRILL, "Lesson Q5.9: Drill",
"(8)",
  "It's a tax on time, but it's quite a new zone to Ann who is\n"
+ "in just the mood to end her quota of visits in sixteen weeks.\n"
),

new Lesson( Lesson.DRILL, "Lesson Q5.10: Drill",
"(9) Rhythmic Review",
  "Two of the boys are to do it today and two of them next week.\n"
),
	};
}
