//
// JTypist v3.0 - Java typing tutor program for UNIX systems
// Copyright (C) 1998  Simon Baldwin (simonb@sco.com)
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//
//
// LessonSeriesR class - holds the R series of lessons
//

public final class LessonSeriesR {
	public static final String series = "Series R";
	public static final String descr = "Long QWERTY course (R1 - R14)";
	public static final Lesson lessons[] = {
new Lesson( Lesson.TUTORIAL, "Lesson R1.1: Tutorial",
"",
  "\n"
+ "In the R series lessons we work on speed and accuracy.\n"
),

new Lesson( Lesson.DRILL, "Lesson R1.2: Drill",
"(1) Warming-Up Drill",
  "Up to date I can not see that the thing is as good as this one.\n"
),

new Lesson( Lesson.DRILL, "Lesson R1.3: Drill",
"(2) Balanced Keyboard Drill",
  "uch pos oug ept ing ope hic ati sch cou get ice con goo ght\n"
),

new Lesson( Lesson.DRILL, "Lesson R1.4: Drill",
"(3) Continuous Copy",
  "Nan is cute.  She can sing and dance.  She can tap a piano.\n"
),

new Lesson( Lesson.DRILL, "Lesson R1.5: Drill",
"(4)",
  "Tonight Nan opens the piano.  She sings such good songs and\n"
+ "soon dashes into a dance.  Nan can dance.  The noise stops.\n"
),

new Lesson( Lesson.DRILL, "Lesson R1.6: Drill",
"(5)",
  "Nan gets us going.  The dance is on.  Ted pounds the piano\n"
+ "as Ann stops to go to the phone.  She has to get the gang.\n"
+ "This chance scene passes too soon.  I hope it happens again.\n"
),

new Lesson( Lesson.DRILL, "Lesson R1.7: Drill",
"(6)",
  "At eight papa said that he ought to put out his good pipe\n"
+ "and then get a good nap.  Soon papa is snug in a deep nap.\n"
+ "At eight ten I guess the dance gets going.  At ten it stops.\n"
+ "As papa put it, such singing upsets him enough for one night.\n"
),

new Lesson( Lesson.DRILL, "Lesson R1.8: Drill",
"(7)",
  "Get the gang.  Catch this sign.  Get going.  Go up this high\n"
+ "post and put a sign on top.  Put these copies on each post.\n"
+ "I guess no one intends to stop us.  The cast is set.  Each\n"
+ "scene is set.  Each act can open in good shape.  I hope that\n"
+ "enough cash is paid in so the cast need not stand the costs.\n"
),

new Lesson( Lesson.TUTORIAL, "Lesson R1.9: Tutorial",
"",
  "			SPEED EXERCISES\n"
+ "\n"
+ "From now on, I will be mixing speed exercises in with the lessons.  In the\n"
+ "drills that you have been doing, I make you keep practicing a line until\n"
+ "you get it right.  In a speed exercise, I will only display the text once.\n"
+ "\n"
+ "What will be different is that I will be timing you.  From the time you type\n"
+ "the first letter of the line until you hit the final carriage return, my\n"
+ "stopwatch will be running.  When you finish, I will calculate your typing speed\n"
+ "and convert it to words per minute (WPM).  I will also count each of the\n"
+ "mistakes you make and display the total number of errors.\n"
+ "\n"
+ "If you make a mistake, I will beep at you and light up the letter that you\n"
+ "should have typed in inverse video (a black letter on a white background).\n"
+ "Just keep going and try to make as few errors as possible.\n"
),

new Lesson( Lesson.PARAGRAPH, "Lesson R1.10: Speed Test",
"(8) Pointed Paragraph (o e)",
  "     Only too well do we know about your house.  Mother told\n"
+ "me you hope to be settled there quite soon.  Of course she\n"
+ "would enjoy seeing the whole house next week.  Before then\n"
+ "please write her a letter to let her know how to get there\n"
+ "from here.  We know you have moved to a very cozy new home.\n"
),

new Lesson( Lesson.PARAGRAPH, "Lesson R1.11: Speed Test",
"(9) Test Paragraph",
  "     The High dance opens at eight and the gang is going.\n"
+ "So Ted shuts the piano and stops at the phone to catch Ann.\n"
+ "I ought to post Ted that he pounds the piano as I once did.\n"
+ "I guess he is upset.  He has to catch Dad to get the cash.\n"
+ "He has to see Ann to each dance.  This is not a noisy night.\n"
+ "His auto is a cheap one and no good on a night such as this.\n"
),

new Lesson( Lesson.DRILL, "Lesson R1.12: Drill",
"(10) Rhythmic Review",
  "The gang can use the piano and good songs to open the dance.\n"
),

new Lesson( Lesson.DRILL, "Lesson R2.1: Drill",
"(1) Warming-Up Drill",
  "It is a good thing to use good habits each time you practice.\n"
),

new Lesson( Lesson.DRILL, "Lesson R2.2: Drill",
"(2) Balanced Keyboard Drill",
  "thr pre rec ear ers ure urn gre art ore her are ter ere tru\n"
),

new Lesson( Lesson.DRILL, "Lesson R2.3: Drill",
"(3) Continuous Copy",
  "Dad and his son, Dan, are to go east on a great auto trip.\n"
),

new Lesson( Lesson.DRILL, "Lesson R2.4: Drill",
"(4)",
  "The phone rings.  Dan hopes the rain has not upset the trip.\n"
+ "Soon the pair share a snug rug and start out in our red car.\n"
),

new Lesson( Lesson.DRILL, "Lesson R2.5: Drill",
"(5)",
  "On a poor, rough road, Dan dares to rush in the rain.  Soon\n"
+ "he sees a horse ahead.  He tries hard to stop.  The car hits\n"
+ "and then turns around.  The horse runs east at a great rate.\n"
),

new Lesson( Lesson.DRILL, "Lesson R2.6: Drill",
"(6)",
  "In order to raise a poor grade one tries to use good sense.\n"
+ "An error is a sure sign not to do the thing that one did.\n"
+ "An error seen once does not hurt.  As soon as an error is\n"
+ "seen or heard again, note its sort and end it right there.\n"
),

new Lesson( Lesson.DRILL, "Lesson R2.7: Drill",
"(7)",
  "Her error is a sign that this thing or that has upset her.\n"
+ "Does she care?  Is it a hard part?  She has to get used to\n"
+ "the letters that she has to print.  Is this order upset?\n"
+ "Is she tired?  Then she needs a short rest.  Is it the rate?\n"
+ "She need not raise her rate too high.  Has she a good touch?\n"
),

new Lesson( Lesson.PARAGRAPH, "Lesson R2.8: Speed Test",
"(8) Pointed Paragraph (t h)",
  "     Hugh thought he ought to start that night although the\n"
+ "weather might hurt his health.  Hal thought they ought to go\n"
+ "to Arizona together the thirtieth of June.  Both hastened\n"
+ "through the streets to their very high hotel.  Hal hesitated\n"
+ "to start north without warm clothes.  Although he hated to\n"
+ "hurt his health, Hugh started north quickly on the sixteenth.\n"
),

new Lesson( Lesson.PARAGRAPH, "Lesson R2.9: Speed Test",
"(9) Test Paragraph",
  "     Dad and his son are to start on a trip in our red car.\n"
+ "House cares are the sort that upset Dad and he is so tired\n"
+ "that he tries a nap in order to rest.  It rains at a great\n"
+ "rate.  Dan is too sure.  He has heard this road is poor in\n"
+ "parts.  It is a great error, Dan, to rush a short turn on a\n"
+ "grade.  The car turns out and ends on its side.  Hurt?  No.\n"
),

new Lesson( Lesson.DRILL, "Lesson R2.10: Drill",
"(10) Rhythmic Review",
  "Dad had a short rest in order to start on the hard car trip.\n"
),

new Lesson( Lesson.DRILL, "Lesson R3.1: Drill",
"(1) Warming-Up Drill",
  "As a rule call earlier on all orders as long as this one.\n"
),

new Lesson( Lesson.DRILL, "Lesson R3.2: Drill",
"(2) Balanced Keyboard Drill",
  "als ple gla ulo clo ile ill oul all eas onl ion tle lea ndl\n"
),

new Lesson( Lesson.DRILL, "Lesson R3.3: Drill",
"(3) Continuous Copy",
  "As a rule it is the real line drill that helps one to learn.\n"
),

new Lesson( Lesson.DRILL, "Lesson R3.4: Drill",
"(4)",
  "It helps to read a line as soon as one can.  It helps to see\n"
+ "its sense.  This, indeed, helps to hold each line until done.\n"
),

new Lesson( Lesson.DRILL, "Lesson R3.5: Drill",
"(5)",
  "As soon as one hits a hard place then one plans to drill on\n"
+ "this part.  Later one can drill this hard part again.  In\n"
+ "order to end an error one can drill all the old line again.\n"
),

new Lesson( Lesson.DRILL, "Lesson R3.6: Drill",
"(6)",
  "Learn the sound as one uses loose hands to type out a line.\n"
+ "As one types his usual rate he ought to learn its sound until\n"
+ "at this rate all the line has the usual, clean, clear sound.\n"
+ "As soon as the usual rate is lost one can hear it as a slip.\n"
),

new Lesson( Lesson.DRILL, "Lesson R3.7: Drill",
"(7)",
  "Total lines that one turns out tell all that one is young.\n"
+ "In order that this class also can print a large line total,\n"
+ "it still helps to spell; it also helps to print all the line\n"
+ "as one line, and it helps less and less to drill single\n"
+ "letters.  Each one in the class can tell his total lines.\n"
),

new Lesson( Lesson.PARAGRAPH, "Lesson R3.8: Speed Test",
"(8) One- to three-letter words (a to l)",
  "Dear Ted,\n"
+ "\n"
+ "     A day ago Ann got a bad cut on her arm and a few by her\n"
+ "eye and ear.  It is an act of God she did not die.  Her car\n"
+ "did the job.  It is the end of her car.  She has no use for a\n"
+ "car.  The fee is to be big.  She is in bed, but she can not\n"
+ "eat.  She can not eat a bit of egg.  It is no fun at all.\n"
+ "\n"
+ "     It is hot.  It is too hot for her fur hat, but I can buy\n"
+ "a box for it.  I am due any day.  I can cut a day if I fly.\n"
+ "It is not far if I go by air.  If I go by car, I add a day.\n"
+ "\n"
+ "     How is Dan?  Did he get his job?  Dan had to beg for it\n"
+ "if he did.  He is big and fat but not bad.  The boy can do\n"
+ "it if he can act to fit his age.  Ask him not to act as a kid.\n"
+ "\n"
+ "Yours sincerely,\n"
),

new Lesson( Lesson.PARAGRAPH, "Lesson R3.9: Speed Test",
"(9) Test Paragraph",
  "     To tell this class all there is to learn is not a real\n"
+ "help later.  Let the class plan the loose ease that can hold\n"
+ "each hand in place, or plan to end this or that poor slip,\n"
+ "or plan to do its total lines in less hours.  As a rule, to\n"
+ "plan and to do are also to learn.  The class plans to drop\n"
+ "the old action to clear the road.  Those old slips are lost.\n"
+ "The class has large plans; gains in hours and less slips.\n"
),

new Lesson( Lesson.DRILL, "Lesson R3.10: Drill",
"(10) Rhythmic Review",
  "To learn to read or spell a rule helps less than to drill.\n"
),

new Lesson( Lesson.DRILL, "Lesson R4.1: Drill",
"(1) Warming-Up Drill",
  "After that date I believe he can not say that it is not a fact.\n"
),

new Lesson( Lesson.DRILL, "Lesson R4.2: Drill",
"(2) Balanced Keyboard Drill",
  "any for efo fte day fin you ful ery nly hey afk ays fro say\n"
),

new Lesson( Lesson.DRILL, "Lesson R4.3: Drill",
"(3) Continuous Copy",
  "I feel sorry to say I can not send a full order on that day.\n"
+ "Forty-odd pounds is all that I can spare at this early date.\n"
),

new Lesson( Lesson.DRILL, "Lesson R4.4: Drill",
"(4)",
  "All loose lots are sent on fast local lines at a half rate,\n"
+ "so there is close to no delay and you also do not lose any.\n"
+ "It is fine, fresh stuff and our first fancy fruit this year.\n"
),

new Lesson( Lesson.DRILL, "Lesson R4.5: Drill",
"(5)",
  "This offer is only for fancy fresh fruit to be used as gifts.\n"
+ "Try these and candy to suit the young lady.  They are dandy.\n"
+ "You can feel safe.  Sales are easy and final.  They go fast.\n"
+ "After at least four days you can order daily or on Friday.\n"
),

new Lesson( Lesson.PARAGRAPH, "Lesson R4.6: Speed Test",
"(6)",
  "Dear Ted,\n"
+ "\n"
+ "     After I read your dandy note I felt sorry for the lady.\n"
+ "Here is plenty of cash if you young people agree to spend it\n"
+ "sanely.  Is it for a natty sail or only for golf?  Did you and\n"
+ "Dan play or fight?  Dan said he felt as if a full load of\n"
+ "coal hit his head.  Is that fact or fancy?\n"
+ "\n"
+ "Yours sincerely,\n"
),

new Lesson( Lesson.PARAGRAPH, "Lesson R4.7: Speed Test",
"(7) Pointed Paragraph (a s)",
  "     Sadness possesses her as she stands against the panes\n"
+ "that the sash separates.  She is sad because the same dress\n"
+ "is not washed and in shape; and so she says it is useless to\n"
+ "save it.  She is sad also because she has to stay in Alabama\n"
+ "next season.  She says to plan to sail across the seas to\n"
+ "Alaska or Asia or Spain is useless.  So in June she amuses\n"
+ "herself by drawing five or six quaint, small-sized maps.\n"
),

new Lesson( Lesson.PARAGRAPH, "Lesson R4.8: Speed Test",
"(8) Test Paragraph",
  "     They say this fruit is the finest.  It is full and good.\n"
+ "Dr. Ted feels the first fruit is too green for young or old.\n"
+ "After one eats any of it he is sorry.  In fact, if I try it,\n"
+ "that night in fancy I sail the South Seas for eight hours.\n"
+ "The air is fine and clear; on the ship are only fruit and I.\n"
+ "To a lady in those seas I gladly offer all fruit and candy.\n"
+ "There is no reply.  Only the seas run high and I feel ill.\n"
),

new Lesson( Lesson.DRILL, "Lesson R4.9: Drill",
"(9) Rhythmic Review",
  "The young lady often has pounds of fruit and candy each day.\n"
),

new Lesson( Lesson.DRILL, "Lesson R5.1: Drill",
"(1) Warming-Up Drill",
  "In any case there is only one order that is long past due.\n"
),

new Lesson( Lesson.DRILL, "Lesson R5.2: Drill",
"(2) Balanced Keyboard Drill",
  "est ace ric ity red per der pro sel par ish ial ing eal let\n"
),

new Lesson( Lesson.DRILL, "Lesson R5.3: Drill",
"(3) Continuous Copy--Review",
  "To learn to type, first get a nice rate going, then hold it.\n"
),

new Lesson( Lesson.DRILL, "Lesson R5.4: Drill",
"(4)",
  "If you read copy set your eyes on that copy and stay on it.\n"
+ "If you hear copy then use your eyes to hit sure and fast.\n"
),

new Lesson( Lesson.DRILL, "Lesson R5.5: Drill",
"(5)",
  "Do not hurry.  Set a nice rate.  Yet hit each letter fast.\n"
+ "To strike letters start easily and fast and use a light touch.\n"
+ "You can not type lightly and faster if you start to pound.\n"
),

new Lesson( Lesson.DRILL, "Lesson R5.6: Drill",
"(6)",
  "It is a slip if you do not use a letter in its right order,\n"
+ "since in line after line each has its place on the paper.\n"
+ "You soon learn the usual order for all letters that you type\n"
+ "and learn to print the letters in any necessary order.\n"
),

new Lesson( Lesson.DRILL, "Lesson R5.7: Drill",
"(7)",
  "It is easy at first to make errors by losing this usual order.\n"
+ "If you read, hold the eyes on copy to help get this order.\n"
+ "If you do hit this or that letter out of order, it is not\n"
+ "that you fail to spell.  You can spell and yet not type;\n"
+ "this fine class drill is to help the type fly in fair order.\n"
),

new Lesson( Lesson.PARAGRAPH, "Lesson R5.8: Speed Test",
"(8) One- to three-letter words (m to z)",
  "Dear Tom,\n"
+ "\n"
+ "     Mr. May has one new car.  It has a low red top.  The top\n"
+ "is so low you can not see the sun if you sit in the car.  Mr.\n"
+ "May has not let his own son use it.  I saw his son try to put\n"
+ "the top up.  I ran and met him.  Why not be men and run the car\n"
+ "out?  We did.  We set out to run it at six.  We two ran it off\n"
+ "to an old lot by the sea.\n"
+ "\n"
+ "     Did his pa see us?  Yes, sir, who but Pa was at No. Ten\n"
+ "as we ran by in the car--and Ma, too.  Oh, it was war--his pa\n"
+ "had a lot to say.  Let me lay out the law to you.  You may not\n"
+ "use the car as you did not pay for it.  You are not yet a man.\n"
+ "Son did not lie nor did he win his way.\n"
+ "\n"
+ "     How are you all?  Now if you get a new car, let me run it.\n"
+ "\n"
+ "Yours sincerely,\n"
),

new Lesson( Lesson.PARAGRAPH, "Lesson R5.9: Speed Test",
"(9) Pointed Paragraph (t c)",
  "     Is it quite certain that the citizens could continue the\n"
+ "old conditions if they voted a straight ticket?  If we accept\n"
+ "as accurate the picture of recent conditions, we can not crave\n"
+ "to continue them.  We lack the tact to get the citizens to\n"
+ "vote a split ticket.  Tax collectors try to collect taxes on\n"
+ "vacant lots.  A discount for cash increases collections.\n"
),

new Lesson( Lesson.DRILL, "Lesson R5.10: Drill",
"(10) Rhythmic Review",
  "In order to type fast you hit lightly after each short delay.\n"
),

new Lesson( Lesson.DRILL, "Lesson R6.1: Drill",
"(1) Warming-Up Drill",
  "It seems to me that we want to know what was said just now.\n"
),

new Lesson( Lesson.DRILL, "Lesson R6.2: Drill",
"(2) Balanced Keyboard Drill",
  "ent ake mon mak tim kin orm omp rom ork mys kno com ome Mr.\n"
+ "ant may was way now job wit toi wri jus wil jul whi wou whe\n"
),

new Lesson( Lesson.DRILL, "Lesson R6.3: Drill",
"(3) Continuous Copy",
  "Let me have a horse where the wide West still runs wild.\n"
),

new Lesson( Lesson.DRILL, "Lesson R6.4: Drill",
"(4)",
  "I must see the warm colors, and feel the wind on that land.\n"
+ "I want to see a few cows among great rocks and sage brush.\n"
),

new Lesson( Lesson.DRILL, "Lesson R6.5: Drill",
"(5)",
  "I like to hear a horse stamp.  I like the sweat on a horse.\n"
+ "I want to keep a camp, close to water, miles from any crowd.\n"
+ "At night, I want to enjoy a moon that shines on all the land.\n"
),

new Lesson( Lesson.DRILL, "Lesson R6.6: Drill",
"(6)",
  "Yet I am in this city room to type news items for the paper.\n"
+ "I know the ins and outs of my city--its mayor, judge, jail.\n"
+ "I know how some men keep in power, and some get only kicks.\n"
+ "I am sick of dark ways to make money, of bribery and fraud.\n"
),

new Lesson( Lesson.DRILL, "Lesson R6.7: Drill",
"(7)",
  "I want to hear the talk of folks who know hot sun and stock.\n"
+ "I like to join in jokes with men whose names I do not ask.\n"
+ "So had I just an old motor car and some gas to make it jump,\n"
+ "I would come at forty miles an hour, past fields of wheat,\n"
+ "till the grade grows high and rough, in keen air out West.\n"
),

new Lesson( Lesson.PARAGRAPH, "Lesson R6.8: Speed Test",
"(8) Pointed Paragraph (p y)",
  "     Please report the people who study typing.  You may\n"
+ "truly say that money paid for this study is happily spent.\n"
+ "Today typing plays a very practical part in acquiring a\n"
+ "paying position.  We can use plenty of these days for exact\n"
+ "work in typing:  Monday, Tuesday, Wednesday, Thursday, Friday,\n"
+ "and Saturday.  Have you this sized type to print your copy?\n"
),

new Lesson( Lesson.PARAGRAPH, "Lesson R6.9: Speed Test",
"(9) Test Paragraph",
  "     Were you the judge in a case like this, could you do the\n"
+ "just thing?  An old woman who keeps rooms hides her money\n"
+ "under a clock.  A man using one of the rooms motors rapidly\n"
+ "away.  The old woman says her money is gone.  We join in a\n"
+ "hunt for the man who is found in the West.  We take from him\n"
+ "the same sum of money.  We try to make him sweat and talk.\n"
+ "I use my power to set his term at ten years.  After he is put\n"
+ "in jail, the old woman finds her money still under the clock.\n"
),

new Lesson( Lesson.DRILL, "Lesson R6.10: Drill",
"(10) Rhythmic Review",
  "How do we know which way so wild a horse will kick or jump?\n"
),

new Lesson( Lesson.DRILL, "Lesson R7.1: Drill",
"(1) Warming-Up Drill",
  "With that end in view I may soon have to put this question.\n"
),

new Lesson( Lesson.DRILL, "Lesson R7.2: Drill",
"(2) Balanced Keyboard Drill",
  "ave hav eve ver ove quo not ive giv qui vis que ved eiv tha\n"
),

new Lesson( Lesson.DRILL, "Lesson R7.3: Drill",
"(3) Continuous Copy",
  "At our new villa a very novel event was given for the navy.\n"
),

new Lesson( Lesson.DRILL, "Lesson R7.4: Drill",
"(4)",
  "Covers were laid in the unique ivory room.  Even the king\n"
+ "and queen were there with a quota of fair and lovely ladies.\n"
),

new Lesson( Lesson.DRILL, "Lesson R7.5: Drill",
"(5)",
  "The queen was ready to quaff when her glass fell.  At once\n"
+ "all was quiet.  Every one, save one alone, quit the dance.\n"
+ "In all their lives, to quote, was never a thing more grave.\n"
),

new Lesson( Lesson.DRILL, "Lesson R7.6: Drill",
"(6)",
  "Who was the lady with the vivid hair in the dress of heavy\n"
+ "gold?  Who was this queer one who dared so treat the queen?\n"
+ "Each guest did quail.  Could such quiet nerve ever avail?\n"
+ "With a move quite free and easy the lady let fall her glass.\n"
),

new Lesson( Lesson.DRILL, "Lesson R7.7: Drill",
"(7)",
  "The queen put this query in a quick voice to quell them all:\n"
+ "Why does the whole world love a lover?  Why do we value you?\n"
+ "All did laugh.  The queen asked that, as a favor, you give us\n"
+ "those who have nerve, for they can love and serve.  Quite as\n"
+ "one who gave an equal favor, the queen sang over the radio.\n"
),

new Lesson( Lesson.PARAGRAPH, "Lesson R7.8: Speed Test",
"(8) Pointed Paragraph (l s)",
  "     The earliest possible sales lessen the total losses.\n"
+ "Please enclose the latest details in those lists yourself.\n"
+ "On almost all calls I could save six dollars, especially in\n"
+ "July.  Tell the girls all the usual questions asked will be\n"
+ "useful shortly.  Use a small-sized envelope to post letters.\n"
+ "Last but not least, all else should still go on as usual.\n"
),

new Lesson( Lesson.PARAGRAPH, "Lesson R7.9: Speed Test",
"(9) Test Paragraph",
  "     In our queen city I used to value two covers set every\n"
+ "day.  At these I used to serve a young man and a girl.  I did\n"
+ "love to see her quiet dress and quick smile favor her so.\n"
+ "I have never quite seen her equal, or a girl so very alive.\n"
+ "After I had given over this work, I went there to see them.\n"
+ "One night I saw a query form on her lips until she gave it\n"
+ "up and took leave.  The way she quit the boy was very queer\n"
+ "even if the papers did quote his prison term as five years.\n"
),

new Lesson( Lesson.DRILL, "Lesson R7.10: Drill",
"(10) Rhythmic Review",
  "Even her very quick smile never makes us quite at our ease.\n"
),

new Lesson( Lesson.DRILL, "Lesson R8.1: Drill",
"(1) Warming-Up Drill",
  "I don't know why he can't have a large-sized order for you.\n"
),

new Lesson( Lesson.DRILL, "Lesson R8.2: Drill",
"(2) Balanced Keyboard Drill",
  "sen aze hen ose hat ous had ize tte see hin oze to- zoo n't\n"
+ "e'l e's u'l h's d's n's s's e'r a's t's y's r's n't m's es'\n"
),

new Lesson( Lesson.DRILL, "Lesson R8.3: Drill",
"(3) Continuous Copy",
  "I'd never call Dan lazy; still, I can't say he wins prizes.\n"
),

new Lesson( Lesson.DRILL, "Lesson R8.4: Drill",
"(4)",
  "Doesn't Dan know how to make an exclamation point?  He'll\n"
+ "have to hold down the spacer and hit the apostrophe and period.\n"
),

new Lesson( Lesson.DRILL, "Lesson R8.5: Drill",
"(5)",
  "Owing to Dan's zeal, he'll get the point; he'll realize it's\n"
+ "faster.  He'll use it when amazed, as:  Whiz!  He'll use it\n"
+ "when he feels real zest, as:  Zip!  Let's go!  It's a fire!\n"
),

new Lesson( Lesson.DRILL, "Lesson R8.6: Drill",
"(6)",
  "A dozen small-sized craft frozen in the ice are afire under\n"
+ "a cold azure sky.  It's near zero in the fire zone; and over\n"
+ "the ships now razed to the water's edge, a light haze hangs.\n"
+ "I'm dazed as I gaze at my own ship; I'd never recognize that\n"
+ "crazy maze of still fizzing ruins as a deck.  What a fizzle!\n"
),

new Lesson( Lesson.DRILL, "Lesson R8.7: Drill",
"(7)",
  "Isn't there a lot of zip and zest to your work on a paper of\n"
+ "this size?  Don't you like to seize some amazing news item\n"
+ "that's good for the first page?  If Tom's hazy fire story is\n"
+ "a fizzle, why won't you squeeze it to a dozen lines?  Isn't\n"
+ "that easy for you?  I've wanted to see my name in print; I\n"
+ "guess I'll sail in a zeppelin to see if you'll print that.\n"
),

new Lesson( Lesson.PARAGRAPH, "Lesson R8.8: Speed Test",
"(8) Pointed Paragraph (r n)",
  "     A note from Ann says her friend prefers to change her\n"
+ "return to Arizona from next February to November.  The reason\n"
+ "is an error of the owner of the ranch who will not refund\n"
+ "her rent.  The janitor is running some errand, for he has\n"
+ "worked in the rain near the northern entrance during dinner.\n"
+ "I hear that now neither her friends from North Carolina nor\n"
+ "Virginia can remain an afternoon and refrain from a quarrel.\n"
),

new Lesson( Lesson.PARAGRAPH, "Lesson R8.9: Speed Test",
"(9) Test Paragraph",
  "     I'll admit I seize a chance to go with these dozen\n"
+ "people.  We left under an azure sky, yet today it's rainy\n"
+ "and hazy.  That Dr. Tedd is odd; he won't play; he's doing\n"
+ "a report on how to zone cities of any size; so he won't let\n"
+ "us dance to radio jazz.  Tonight we're to try a play that\n"
+ "hasn't any zest or zip.  Its prize is Tom's money, and he'll\n"
+ "not stay; he feels it's a fizzle.  My zeal for gazing on the\n"
+ "crowd is at zero.  They don't and can't pass any play quiz.\n"
),

new Lesson( Lesson.DRILL, "Lesson R8.10: Drill",
"(10) Rhythmic Review",
  "It's crazy for me to type news items on paper of this size!\n"
),

new Lesson( Lesson.DRILL, "Lesson R9.1: Drill",
"(1) Warming-Up Drill",
  "To some extent he has been able to do the next best thing.\n"
),

new Lesson( Lesson.DRILL, "Lesson R9.2: Drill",
"(2) Balanced Keyboard Drill",
  "abo bet bee ble bou bef ext ber six sib nex abl aby mbe box\n"
),

new Lesson( Lesson.DRILL, "Lesson R9.3: Drill",
"(3) Continuous Copy",
  "Dad just about broke down at the bad news.  Bill has no job.\n"
),

new Lesson( Lesson.DRILL, "Lesson R9.4: Drill",
"(4)",
  "Dad was vexed.  He said that he might as well burn his bonds\n"
+ "next.  He has sixty bonds but the prices sent all below par.\n"
),

new Lesson( Lesson.DRILL, "Lesson R9.5: Drill",
"(5)",
  "Dad talks about a jinx.  He says that maybe their bank will\n"
+ "close so he cannot pay up taxes and bills before Christmas.\n"
+ "Dad says they all may have to exist on home-grown wax beans.\n"
),

new Lesson( Lesson.DRILL, "Lesson R9.6: Drill",
"(6)",
  "Dad adds that boys ought to be busy and maybe play ball or\n"
+ "box at the club.  Bill excels, but says he cannot box on\n"
+ "wax beans alone.  Beef must be back on the board.  Bill has\n"
+ "boxed as an extra at a bazaar.  He is big, and able to box.\n"
),

new Lesson( Lesson.DRILL, "Lesson R9.7: Drill",
"(7)",
  "Bill begs Dad not to be blue, and his text is this:  We\n"
+ "are all in the same boat.  No one can buy.  No one can build.\n"
+ "Labor is hard hit, too.  I, for one, would like to toss the\n"
+ "cards on the table and start a new deal.  When exact codes\n"
+ "are fixed, as best for all, every person must do his bit.\n"
),

new Lesson( Lesson.PARAGRAPH, "Lesson R9.8: Speed Test",
"(8) Pointed Paragraph (f y)",
  "     Satisfy yourself that it will be funny, but perfectly\n"
+ "satisfactory, for forty or fifty of the faculty to fly from\n"
+ "Buffalo to New York on the first Friday in February.  If\n"
+ "they prefer, we will offer them waffles, jelly, and coffee\n"
+ "before they fly or get dizzy.  Sixty flyers can qualify\n"
+ "confidently to face any difficulty.  A friendly inquiry\n"
+ "from any family will be very cheerfully and fully answered.\n"
),

new Lesson( Lesson.PARAGRAPH, "Lesson R9.9: Speed Test",
"(8a) Pointed Paragraph (i d)",
  "     Children find being quizzed in division, addition, and\n"
+ "reading difficult.  They studied daily during their third\n"
+ "period and tried to be confident.  I think they did include\n"
+ "Florida and Rhode Island in their wide reading; and have\n"
+ "just decided to dispose of Detroit, Grand Rapids, Richmond,\n"
+ "Providence, and Philadelphia next week.\n"
),

new Lesson( Lesson.PARAGRAPH, "Lesson R9.10: Speed Test",
"(9) Test Paragraph",
  "     By using the new banks of keys on the new keyboard, you\n"
+ "are able to learn or excel with less labor.  These new banks\n"
+ "have been based on an exact table of words used.  You begin\n"
+ "at once on the best bank.  On the old keyboard you have to\n"
+ "type most of the text on the next bank above and on the bank\n"
+ "below.  Because of this fact your fingers bound back and\n"
+ "forth between the upper and lower banks of keys.  But those\n"
+ "extra jumps necessary on the old keyboard do not exist on the\n"
+ "new keyboard.  Nor is your left hand taxed with extra labor.\n"
+ "The keys are fixed to keep both hands busy and in balance.\n"
),

new Lesson( Lesson.DRILL, "Lesson R9.11: Drill",
"(10) Rhythmic Review",
  "Those boxes of books for New Mexico may be ready next week.\n"
),

new Lesson( Lesson.DRILL, "Lesson R10.1: Drill",
"(1) Warming-Up Drill",
  "Next time we must ask to have you make them just as he does.\n"
),

new Lesson( Lesson.DRILL, "Lesson R10.2: Drill",
"(2) Balanced Keyboard Drill",
  "ite ith ine nce tio she hou how ime ibl ece muc out oth our\n"
+ "ate and een ind oon und one thi lix his ise wer jun ett exp\n"
),

new Lesson( Lesson.DRILL, "Lesson R10.3: Drill",
"(3) Continuous Copy--Review",
  "I am going to be lazy this weekend and do just what I want.\n"
),

new Lesson( Lesson.DRILL, "Lesson R10.4: Drill",
"(4)",
  "Today I quit being vexed with the old job.  I must seize\n"
+ "one extra bit of zest and join the exit from the big city.\n"
),

new Lesson( Lesson.DRILL, "Lesson R10.5: Drill",
"(5)",
  "To begin with, the same old auto will bear us to the beach\n"
+ "where a good-sized boat floats easily in the blue water.\n"
+ "Our boat is build for room.  Her cabin has a busy table.\n"
),

new Lesson( Lesson.DRILL, "Lesson R10.6: Drill",
"(6)",
  "I know Nan will come if Bill does, and Ted likes to be with\n"
+ "Ann.  I would never quite have the nerve to keep my good\n"
+ "board back when our club navy moves out into the quiet water.\n"
+ "We leave at an early hour when the sun is still under cover.\n"
),

new Lesson( Lesson.DRILL, "Lesson R10.7: Drill",
"(7)",
  "All day will be warm and novel.  The far banks will slide by\n"
+ "while we gaze.  She is an out-and-out able boat, heavy but\n"
+ "never gives trouble.  She is never taxed in quick water.  I\n"
+ "feel the water jump and break.  Queer how I feel the bond\n"
+ "that exists between me and my boat.  She is a prize I value.\n"
),

new Lesson( Lesson.PARAGRAPH, "Lesson R10.8: Speed Test",
"(8) Pointed Paragraph (m w)",
  "     Some women swim in the spring.  Some women swim in\n"
+ "the warm water of summer.  Women in Brazil may swim even in\n"
+ "November.  Some women from Japan will swim tomorrow.  We want\n"
+ "to show the women from New Mexico and Wyoming how to swim in\n"
+ "winter.  We will work with them for a few weeks.  When they\n"
+ "go home we wonder if they will write from time to time.\n"
),

new Lesson( Lesson.PARAGRAPH, "Lesson R10.9: Speed Test",
"(8A) Pointed Paragraph (i o)",
  "     I'm going to obtain oil options tonight and to file my\n"
+ "copies without noise, or outside notice.  I am anxious to\n"
+ "avoid an action.  If I voice an official opinion, I will omit\n"
+ "serious points.  Knowing conditions, I am hoping that I'll\n"
+ "be enjoying a glorious addition to my income.  I am going to\n"
+ "join society and be social with juniors and seniors alike.\n"
),

new Lesson( Lesson.PARAGRAPH, "Lesson R10.10: Speed Test",
"(9) Test Paragraph",
  "     Bound for some place where the sun sets in the west,\n"
+ "soon it is the night that I favor.  Next to the night and\n"
+ "boat and water, maybe I judge our sail by its excellent bill\n"
+ "of fare.  Here I am very exact, as I never set a poor table.\n"
+ "I stock an up-to-date table, set out under the first dozen\n"
+ "stars.  I enjoy having every boy able to quaff his quota of\n"
+ "soup and boast or sing with zeal and make any queer joke.\n"
+ "With a moon, I can name no event to equal a boat and water.\n"
),

new Lesson( Lesson.DRILL, "Lesson R10.11: Drill",
"(10) Rhythmic Review",
  "It is good drill to keep going in even time for ten minutes.\n"
),

new Lesson( Lesson.TUTORIAL, "Lesson R11.1: Tutorial",
"",
  "\n"
+ "In this lesson we start on the top row, which has the numerals and\n"
+ "a lot of the special characters.  Note that the F-finger presses the\n"
+ "4-key and the 5-key; the J-finger presses the 7-key and the 8-key.\n"
+ "Either the F-finger or the J-finger may press the 6-key.\n"
),

new Lesson( Lesson.DRILL, "Lesson R11.2: Drill",
"(1) Warming-Up Drill",
  "She can tell us all there is to say on her side and what to do.\n"
),

new Lesson( Lesson.DRILL, "Lesson R11.3: Drill",
"(2) Rhythm and Keyboard Drill",
  "ki9 de3 ju8 fr4 ju7 fr5 jy6 ft6 lo0 sw2 ju7 fr5 jy6 ft6 ;p-\n"
+ "k9 d3 j8 f4 j7 f5 f6 l0 s2 j8 f4 j7 f5 j6 f6 k9 d3 ;- s2\n"
),

new Lesson( Lesson.DRILL, "Lesson R11.4: Drill",
"(3) Continuous Copy",
  "To buy an air-mail stamp I save 1, 2, 4, and at last 6 cents.\n"
),

new Lesson( Lesson.DRILL, "Lesson R11.5: Drill",
"(4)",
  "In two years my dollar earns 1, 3, 5, 7, and perhaps 8 cents.\n"
+ "Buy at once:  4 candy balls,9 bars, 6 or 8 of gum, 2 cakes.\n"
),

new Lesson( Lesson.DRILL, "Lesson R11.6: Drill",
"(5)",
  "2 and 2 are 4; 3 and 3 are 6; 4 and 4 are 8; 5 and 0 are 5.\n"
+ "3 and 4 are 7; 5 and 4 are 9; 2 and 6 are 8; 7 and 0 are 7.\n"
+ "1 and 1 are 2; 3 and 1 are 4; 5 and 1 are 6; 7 and 1 are 8.\n"
),

new Lesson( Lesson.DRILL, "Lesson R11.7: Drill",
"(6)",
  "I have finished Grade 9B.  In my first weeks of typing in\n"
+ "Grade 10A, I learned to use all the keys in Lessons 3 and 4.\n"
+ "In Lessons 1 and 2, and in part of No.5, I tried my hands on\n"
+ "the home row.  Both Lessons 6 and 7 were in the bank above.\n"
),

new Lesson( Lesson.DRILL, "Lesson R11.8: Drill",
"(7)",
  "Typing is clerical work.  Twenty years ago less than 5 per\n"
+ "cent of all those at work had clerical jobs; today, about 8\n"
+ "per cent have such jobs.  Does it interest you that of all\n"
+ "paid typists only 3 per cent are more than 44 years of age?\n"
+ "Most of the 810,000 typists in the last census are young.\n"
),

new Lesson( Lesson.PARAGRAPH, "Lesson R11.9: Speed Test",
"(8-9)",
  "To throw a carriage do you take 6 or 7 times--or to shift for\n"
+ "a capital, 2 or 3 times--as long as to hit one letter?  And\n"
+ "do you know the common keys?  One common pair of letters is used\n"
+ "for every 3 or 4 other pairs, even though there are more than\n"
+ "600 other pairs.  The digits are 0, 1, 2, 3, 4, 5, 6, 7, 8, 9.\n"
+ "You will spell these out more often than you will type them.\n"
),

new Lesson( Lesson.DRILL, "Lesson R11.10: Drill",
"(10) Rhythmic Review",
  "I am vexed if my prize went to my old address, 55 Fifth Avenue.\n"
),

new Lesson( Lesson.DRILL, "Lesson R12.1: Drill",
"(1) Warming-Up Drill",
  "I should like to arrange to have you see me here next week.\n"
),

new Lesson( Lesson.DRILL, "Lesson R12.2: Drill",
"(2) Rhythm and Keyboard Drill",
  "k9 d3 j8 f4 j7 f5 f6 j6 10 s2 j8 f4 j7 f5 f6 j6 k9 d3 ;- s2\n"
+ "k98 d34 j87 f45 109 s23 k93 d39 j84 f48 j75 f57 j76 f56 102\n"
),

new Lesson( Lesson.DRILL, "Lesson R12.3: Drill",
"(3) Continuous Copy",
  "10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29\n"
),

new Lesson( Lesson.DRILL, "Lesson R12.4: Drill",
"(4)",
  "As soon as you can type at 12 words a minute, jump to 24;\n"
+ "later to 30, 36, 42, 48, or other rate that seems to fit.\n"
),

new Lesson( Lesson.DRILL, "Lesson R12.5: Drill",
"(5)",
  "On one day in June the heat ran to 106, 103, 98, 95, 92, in\n"
+ "some cities, but only to 40, 43, 47, 50, 51, 52, 60 in other\n"
+ "cities.  Rain fell from .00 or .04 to .40 or to .68 inches.\n"
),

new Lesson( Lesson.DRILL, "Lesson R12.6: Drill",
"(6)",
  "The next step in better typing is to learn to graph a curve.\n"
+ "If your test score each week rises from 22 to 28, 32, 37,\n"
+ "40, 44, 48, 51, 53, and 55 words a minute, put these on a\n"
+ "chart.  See this curve grow higher each week.  Or use bars.\n"
),

new Lesson( Lesson.DRILL, "Lesson R12.7: Drill",
"(7)",
  "The usual test scores point to waste in many a class.  After\n"
+ "all the work of a first term, girls may reach only 25 words\n"
+ "a minute, boys only 22 words.  At the end of 34 weeks these\n"
+ "usual scores might be 29 or 31 or 34.  Indeed, 25 to 33 per\n"
+ "cent of the students may type less than 20 words per minute.\n"
),

new Lesson( Lesson.PARAGRAPH, "Lesson R12.8: Speed Test",
"(8) Pointed Paragraph (n v)",
  "     Eleven invitations for Thanksgiving vacation arrived in\n"
+ "advance of November.  In vain have a dozen relatives invited\n"
+ "me to visit Vermont, Virginia, and Nevada.  I love being\n"
+ "invited and I believe in never avoiding an invitation to any\n"
+ "Thanksgiving banquet.  I even plan to have the sixth to the\n"
+ "seventeenth of November for varied ventures and to visit\n"
+ "that novel Denver University on my vacation.\n"
),

new Lesson( Lesson.PARAGRAPH, "Lesson R12.9: Speed Test",
"(9) Test Paragraph",
  "     How much do you weigh?  A young boy who is 5 feet tall\n"
+ "may weigh 112 pounds; with an extra inch, 115 pounds.  Add 3\n"
+ "pounds for any inch added.  Thus if 5 feet and 4 inches, he\n"
+ "may weigh 124.  If taller, add 4 pounds for each added inch.\n"
+ "If 5 feet and 7 inches, he may weigh 136; if 5 feet and 9\n"
+ "inches, 144; if 5 feet and 10 inches, he may weigh 148.  Now\n"
+ "add 5 pounds for each added inch.  Thus to stand 6 feet tall\n"
+ "may mean 158 pounds.  It is better to be a little over-weight.\n"
),

new Lesson( Lesson.DRILL, "Lesson R12.10: Drill",
"(10) Rhythmic Review",
  "In order to park on Sixth at 11:05 we have to beat 135 cars!\n"
),

new Lesson( Lesson.TUTORIAL, "Lesson R13.1: Tutorial",
"",
  "\n"
+ "In this lesson we will learn the rest of the special characters\n"
+ "on the keyboard.\n"
),

new Lesson( Lesson.DRILL, "Lesson R13.2: Drill",
"(1) Warming-Up Drill",
  "If you do not hear soon, I want you to write again and again.\n"
),

new Lesson( Lesson.DRILL, "Lesson R13.3: Drill",
"(2) Rhythm and Keyboard Drill",
  "k9( d3# j8* f4$ j7& f5% f6^ j6^ l0) s2@ ;-_ ;[] ;`~ d3# ;/?\n"
+ "k( d# j* f$ j& f% j^ f^ l) s@ ;_ s@ ;{ d# ;@ f% ;? f^ j^ s@\n"
+ "\"A \"S \"O \"W \"E \"C \"P \"F \"I \"M \"E \"B e5\" t4\" u3\" h2\" u1' n6'\n"
),

new Lesson( Lesson.DRILL, "Lesson R13.4: Drill",
"(3) Continuous Copy",
  "Send at once:  Form #93* @ $18.50 per dozen, 12% discount.\n"
),

new Lesson( Lesson.DRILL, "Lesson R13.5: Drill",
"(4)",
  "Sold to Smith & Sons, terms 1%, 10 days; 8 doz. 3\" screws @\n"
+ "5.25 cents, 42 cents; 16 files @ 5-3/8 cents, 86 cents; 3 #9 drills\n"
+ "@ 75 cents, $2.75.\n"
),

new Lesson( Lesson.DRILL, "Lesson R13.6: Drill",
"(5)",
  "Arrange to have A. C. Whitman & Co. deliver to our Seattle\n"
+ "office, Wednesday, October, 26:  30 reams white paper, #99,\n"
+ "@ 75 cents, $22.50; 4 files, Style 6**, @ $9 each, $26.....$58.50.\n"
),

new Lesson( Lesson.DRILL, "Lesson R13.7: Drill",
"(6)",
  "In his speech on \"Can a Business Man Be Honest?\" he proved:\n"
+ "\n"
+ "(1) There are many ways, some hardly honest, to make money.\n"
+ "(2) It may pay to treat fairly a business rival or employee.\n"
+ "(3) Saving time and material often leads to a large profit.\n"
+ "(4) The most desirable kinds of success are gained honestly.\n"
),

new Lesson( Lesson.DRILL, "Lesson R13.8: Drill",
"(7)",
  "The common stock has paid from 8% to 27% cash before 1929.\n"
+ "Both the common and the \"B\" stocks have received 12% this\n"
+ "year, or $3 per share.  The class \"B\" stock has made a new\n"
+ "record, the range in price being 38.5 high and 32.25 low.  As\n"
+ "the market improves the common and \"B\" stocks may pay 15%.\n"
),

new Lesson( Lesson.PARAGRAPH, "Lesson R13.9: Speed Test",
"(8)",
  "A. C. White & Company\n"
+ "Idaho Falls, Idaho\n"
+ "\n"
+ "Gentlemen:\n"
+ "\n"
+ "Ship to our general office, by express, the following order:\n"
+ "\n"
+ "75 boxes, style 2**, 14.25\" x 18.5\", @ 60 cents each . . . . .$45.00\n"
+ " 5 boxes, style 3**, 16.25\" x 20.5\", @ 65 cents each . . . . .  3.25\n"
+ " 9 dozen boxes, style #7, @ $2 a doz. (less 10%) . . . . . . . 16.20\n"
+ "\n"
+ "We will send our check January 4; less 2% for cash.\n"
+ "\n"
+ "Very truly yours,\n"
),

new Lesson( Lesson.DRILL, "Lesson R13.10: Drill",
"(9) Rhythmic Review",
  "He said, \"I long to get home after seven days in the country.\"\n"
),

new Lesson( Lesson.DRILL, "Lesson R14.1: Drill",
"(1) Warming-Up Drill",
  "I trust that you will be able to call upon us very soon.\n"
),

new Lesson( Lesson.DRILL, "Lesson R14.2: Drill",
"(2) Rhythm and Keyboard Drill",
  "k( d# j* f$ j& f% j& f^ l) s@ ;_ d# ;` f% ;` f$ j^ s@\n"
+ "(3 8% #9 2) @0 [@ *4 2_ $8 [% 3 1/5 3 @ 5 & 3^ $7 5* $8 `)\n"
+ "as\" nt\" et\" re\" us\" me\" is\" de\" it\" t.\" e.\" r,\" o,\" ?\" ?\" ?\"\n"
),

new Lesson( Lesson.DRILL, "Lesson R14.3: Drill",
"",
  "t( e# h* u$ h& u% h& u^ n) o@ s~ e# s/ u% s/ u$ h^ o@\n"
+ "(3 8% #9 2) @0 [@ *4 2_ $8 [% 3 1/5 3 @ 5 & 3^ $7 5* $8 `)\n"
+ "as\" nt\" et\" re\" us\" me\" is\" de\" it\" t.\" e.\" r,\" o,\" ?\" ?\" ?\"\n"
),

new Lesson( Lesson.DRILL, "Lesson R14.4: Drill",
"(3) Continuous Copy",
  "The Herald, the Daily News, and the Post reported the story.\n"
),

new Lesson( Lesson.DRILL, "Lesson R14.5: Drill",
"(4)",
  "Read \"National Affairs\" in Time for December 6, 1940.  You\n"
+ "may think that Snappy Stories has more news than Time.\n"
),

new Lesson( Lesson.DRILL, "Lesson R14.6: Drill",
"(5)",
  "He goes November 6, on Train #2 (North Coast), at 9:15 p.m.\n"
+ "Train #35-4 (Southern Route) leaves at 6:00 but stops often.\n"
+ "He likes to go by bus (Overland Route), but it goes at 2:10.\n"
),

new Lesson( Lesson.DRILL, "Lesson R14.7: Drill",
"(6)",
  "\"Good morning,\" said the clerk.  \"May I be of help to you?\"\n"
+ "\"Thank you,\" she replied, \"but I must wait to see Mr. Burd.\"\n"
+ "\"He will be in his office at 10:20,\" the clerk assured her.\n"
+ "\"That will be fine,\" the clerk said, \"I'll wait for him, too.\"\n"
),

new Lesson( Lesson.DRILL, "Lesson R14.8: Drill",
"(7)",
  "SOIL--Remove to depth of 9\" under house and 5' on all sides.\n"
+ "FRAME WORK--Beams 2\" x 8\"; braces 2\" x 4\"; rafters 2\" x 6\".\n"
+ "ROOF--Use 18\", #1 cedar shingles, laid 5\" to the weather.\n"
+ "PLUMBING--Use #1 materials; 4\" cast iron pipe; sink 2' x 6'.\n"
+ "LATH AND PLASTER--Use #1 spruce 3/8 x 1.5\"; 2 coats plaster.\n"
),

new Lesson( Lesson.PARAGRAPH, "Lesson R14.9: Speed Test",
"(8) Pointed Paragraph (a o)",
  "     To attain a personal association with so popular an\n"
+ "author is an approved social ambition.  To loan him money or\n"
+ "catalog his books we consider a favor.  Today his tailor, later\n"
+ "with a coat, loads on him a thousand pardons.  A normal Mon-\n"
+ "day program allows a lazy forenoon to ocean and boat; after-\n"
+ "noon to various auto roads in orange season; night to play\n"
+ "contract or follow the local opera.  As soon as he can account\n"
+ "for another book, our author is anxious to go abroad.\n"
),

new Lesson( Lesson.PARAGRAPH, "Lesson R14.10: Speed Test",
"(9) Test Paragraph",
  "     \"Has #4-4 gone?\" she asked, rushing in out of the cold.\n"
+ "     \"No--why $4?\" the station agent* answered (he had won-\n"
+ "dered why she was so worried).  But he wasn't to find out--\n"
+ "for a white hand pushed back $15 and picked up an old copy\n"
+ "of Good Housekeeping from a seat.  She began to read.  When\n"
+ "he noted she had chosen \"Winter Comfort\" he was 100% amused.\n"
+ "------------------------------------------------------------\n"
+ "*Red Wild (heir to $750,000 at 5%, working on the B. & O.).\n"
),

new Lesson( Lesson.DRILL, "Lesson R14.11: Drill",
"(10) Rhythmic Review",
  "I said, \"There is the city and this bus won't be long now.\"\n"
),
	};
}
